[Touch-packages] [Bug 1883880] Re: fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

2020-06-23 Thread Christian Ehrhardt 
I got doko to have a quick look (as he is unavailable atm) which seemed ok.
This was mostly to hear from him if this was an overall horrendous idea (it 
isn't) and not to check every line, so this should be ok as-is then.
Further as stated above all other pre-checks against the PPA are good as well.

I uploaded to bionic-unapproved for consideration by the SRU Team.

** Changed in: binutils (Ubuntu Bionic)
   Status: New => In Progress

** Changed in: binutils (Ubuntu Bionic)
 Assignee: Matthias Klose (doko) => Christian Ehrhardt  (paelzer)

** Tags added: server-next

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1883880

Title:
  fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

Status in binutils package in Ubuntu:
  Fix Released
Status in binutils source package in Bionic:
  In Progress

Bug description:
  [Impact]

   * the assembler scales non 8 bit cases which was identified
 to break e.g. some AVX512 code. It is nasty as it isn't a compile/link/ 
 time error. Instead the instructions might silently be corrupted until 
 running. Things might even work on some but fail on other systems if 
 e.g. the AVX code paths only run on newer chips.

* The fix is upstream for a while and not re-changed again. Furthermore 
  it is in several Ubuntu releases without bugs due to that, which should 
  make the backport rather safe.

  [Test Case]

   * Simple example to trigger the bug:

  echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d
  avx.o | grep vmovaps

  The expected output is that the objdump output matches the vmovaps
  instruction input. When using binutils with the bug, the initial 0x40
  will be incorrect.

  Working:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x40(,%rax,1),%zmm0
  Failing:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x1(,%rax,1),%zmm0

  [Regression Potential]

   * Well, this is a double edged sword. On one hand this is fortunately a 
 small change and only affects something formerly clearly broken. So it 
 should be good and only change cases formerly being bad.
 But OTOH binutils areused in so many cases that I feel unable to say
 "nothing will happen". The change goes to the gnu assembler, so that is 
 the place to look out for regressions.

  [Other Info]
   
   * needs a sponsor experienced with binutils to check potential pitfalls


  
  ---

  
  Hi,
  DPDK has run into some issues in the past
   https://bugs.dpdk.org/show_bug.cgi?id=97
   https://bugs.dpdk.org/show_bug.cgi?id=249

  Eventually the issues got resolved in binutils via
   https://sourceware.org/bugzilla/show_bug.cgi?id=23465

  After binutils is fixed people rebuilding DPDK themselve can use
   http://patches.dpdk.org/patch/71679/
  to gain more performance while on Bionics bintuils level.

  Note: Bionic is on DPDK 17.11.x which will not get further stable release 
afaik. But quite often people build their own DPDK. In fact this came up as a 
request from Openvswitch upstream/Intel to allow such builds on Bionic.
  I'd ping those people about the bug and ask them to participate in the 
verification if this becomes an SRU.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1883880/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1746420] Re: I really don't know , using diagnostic app.

2020-06-23 Thread Daniel van Vugt
Please let us know if you still experience this problem, and if so
whether any processes are using high CPU or lots of memory.

** Package changed: xorg (Ubuntu) => xorg-server (Ubuntu)

** Changed in: xorg-server (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1746420

Title:
  I really don't know , using diagnostic app.

Status in xorg-server package in Ubuntu:
  Incomplete

Bug description:
  Machine gets slow .

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3
  ProcVersionSignature: Ubuntu 4.4.0-112.135-generic 4.4.98
  Uname: Linux 4.4.0-112-generic x86_64
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.1-0ubuntu2.15
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  Date: Tue Jan 30 23:16:28 2018
  DistUpgraded: 2018-01-10 16:36:41,763 DEBUG icon theme changed, re-reading
  DistributionChannelDescriptor:
   # This is a distribution channel descriptor
   # For more information see 
http://wiki.ubuntu.com/DistributionChannelDescriptor
   canonical-oem-annan-standard-precise-amd64-20130106-0
  DistroCodename: xenial
  DistroVariant: ubuntu
  DkmsStatus:
   alsa-hda, 0.201212151034~precise1annan2, 3.2.0-32-generic, x86_64: installed
   asus-wmi, 1.14, 3.2.0-32-generic, x86_64: installed
   compat-wireless-3.4-rc3-1-alx-dkms, 1, 3.2.0-32-generic, x86_64: installed
   i915, 0.1, 3.2.0-32-generic, x86_64: installed
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Intel Corporation 2nd Generation Core Processor Family Integrated Graphics 
Controller [8086:0106] (rev 09) (prog-if 00 [VGA controller])
 Subsystem: ASUSTeK Computer Inc. 2nd Generation Core Processor Family 
Integrated Graphics Controller [1043:115d]
  InstallationDate: Installed on 2018-10-10 (-251 days ago)
  InstallationMedia: Ubuntu 12.04 "Precise" - Build amd64 LIVE Binary 
20130106-02:29
  MachineType: ASUSTeK COMPUTER INC. 1015E
  ProcEnviron:
   LANGUAGE=en_US
   PATH=(custom, no user)
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-112-generic 
root=UUID=dad73f6d-4e85-4338-83b0-0e0417a13a96 ro locale=C quiet splash 
vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: Upgraded to xenial on 2018-01-10 (20 days ago)
  dmi.bios.date: 03/05/2013
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 1015E.302
  dmi.board.asset.tag: ATN12345678901234567
  dmi.board.name: 1015E
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: 1.0
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: ASUSTeK COMPUTER INC.
  dmi.chassis.version: 1.0
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr1015E.302:bd03/05/2013:svnASUSTeKCOMPUTERINC.:pn1015E:pvr1.0:rvnASUSTeKCOMPUTERINC.:rn1015E:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
  dmi.product.name: 1015E
  dmi.product.version: 1.0
  dmi.sys.vendor: ASUSTeK COMPUTER INC.
  version.compiz: compiz 1:0.9.12.2+16.04.20160823-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.83-1~16.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 17.2.4-0ubuntu1~16.04.4
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 17.2.4-0ubuntu1~16.04.4
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-0ubuntu0.7
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160325-1ubuntu1.2
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:1.0.12-1build2
  xserver.bootTime: Tue Jan 30 22:37:53 2018
  xserver.configfile: default
  xserver.errors:
   
  xserver.logfile: /var/log/Xorg.0.log
  xserver.outputs:
   product id4572 
   vendor AUO
  xserver.version: 2:1.18.4-0ubuntu0.7

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1746420/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883497] Re: Only timing mode list in EDID supported on continuous freq monitors

2020-06-23 Thread Daniel van Vugt
** Package changed: xorg (Ubuntu) => xorg-server (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1883497

Title:
  Only timing mode list in EDID supported on continuous freq monitors

Status in HWE Next:
  New
Status in X.Org X server:
  New
Status in xf86-video-intel:
  Unknown
Status in xorg-server package in Ubuntu:
  New

Bug description:
  Some new laptop display set EDID continuous freq bit 1.
  Then Xorg only uses the timing modes defined in EDID, no other modes are 
shown on Xorg.

  Upstream Bug:
  https://gitlab.freedesktop.org/drm/intel/-/issues/313

  Fix of Xorg in merge request:
  https://gitlab.freedesktop.org/xorg/xserver/-/merge_requests/421

  
https://cgit.freedesktop.org/xorg/xserver/commit/?id=6a79a737e2c0bc730ee693b4ea4a1530c108be4e

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1883497/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883497] Re: Only timing mode list in EDID supported on continuous freq monitors

2020-06-23 Thread AaronMa
** Tags added: oem-priority originate-from-1883198 sutton

** Tags added: originate-from-1882188

** Tags added: originate-from-1881988

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1883497

Title:
  Only timing mode list in EDID supported on continuous freq monitors

Status in HWE Next:
  New
Status in X.Org X server:
  New
Status in xf86-video-intel:
  Unknown
Status in xorg package in Ubuntu:
  New

Bug description:
  Some new laptop display set EDID continuous freq bit 1.
  Then Xorg only uses the timing modes defined in EDID, no other modes are 
shown on Xorg.

  Upstream Bug:
  https://gitlab.freedesktop.org/drm/intel/-/issues/313

  Fix of Xorg in merge request:
  https://gitlab.freedesktop.org/xorg/xserver/-/merge_requests/421

  
https://cgit.freedesktop.org/xorg/xserver/commit/?id=6a79a737e2c0bc730ee693b4ea4a1530c108be4e

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1883497/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883497] Re: Only timing mode list in EDID supported on continuous freq monitors

2020-06-23 Thread AaronMa
** Description changed:

  Some new laptop display set EDID continuous freq bit 1.
  Then Xorg only uses the timing modes defined in EDID, no other modes are 
shown on Xorg.
  
  Upstream Bug:
  https://gitlab.freedesktop.org/drm/intel/-/issues/313
  
  Fix of Xorg in merge request:
  https://gitlab.freedesktop.org/xorg/xserver/-/merge_requests/421
+ 
+ 
https://cgit.freedesktop.org/xorg/xserver/commit/?id=6a79a737e2c0bc730ee693b4ea4a1530c108be4e

** Changed in: xorg (Ubuntu)
   Importance: Undecided => Critical

** Changed in: xorg (Ubuntu)
 Assignee: (unassigned) => Timo Aaltonen (tjaalton)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1883497

Title:
  Only timing mode list in EDID supported on continuous freq monitors

Status in HWE Next:
  New
Status in X.Org X server:
  New
Status in xf86-video-intel:
  Unknown
Status in xorg package in Ubuntu:
  New

Bug description:
  Some new laptop display set EDID continuous freq bit 1.
  Then Xorg only uses the timing modes defined in EDID, no other modes are 
shown on Xorg.

  Upstream Bug:
  https://gitlab.freedesktop.org/drm/intel/-/issues/313

  Fix of Xorg in merge request:
  https://gitlab.freedesktop.org/xorg/xserver/-/merge_requests/421

  
https://cgit.freedesktop.org/xorg/xserver/commit/?id=6a79a737e2c0bc730ee693b4ea4a1530c108be4e

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1883497/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883497] Re: Only timing mode list in EDID supported on continuous freq monitors

2020-06-23 Thread AaronMa
** Also affects: xorg (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1883497

Title:
  Only timing mode list in EDID supported on continuous freq monitors

Status in X.Org X server:
  New
Status in xf86-video-intel:
  Unknown
Status in xorg package in Ubuntu:
  New

Bug description:
  Some new laptop display set EDID continuous freq bit 1.
  Then Xorg only uses the timing modes defined in EDID, no other modes are 
shown on Xorg.

  Upstream Bug:
  https://gitlab.freedesktop.org/drm/intel/-/issues/313

  Fix of Xorg in merge request:
  https://gitlab.freedesktop.org/xorg/xserver/-/merge_requests/421

  
https://cgit.freedesktop.org/xorg/xserver/commit/?id=6a79a737e2c0bc730ee693b4ea4a1530c108be4e

To manage notifications about this bug go to:
https://bugs.launchpad.net/xorg-server/+bug/1883497/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1811861] Re: incorrect permissions on /var/log after debootstrap

2020-06-23 Thread Steve Beattie
Thanks for clarifying, closing.

** Changed in: rsyslog (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to rsyslog in Ubuntu.
https://bugs.launchpad.net/bugs/1811861

Title:
  incorrect permissions on /var/log after debootstrap

Status in rsyslog package in Ubuntu:
  Invalid

Bug description:
  we are debootstrapping a full bionic distribution into a directory.
  After debootstrapping the permissions on /var/log are incorrect,
  causing rsyslog to fail because it cannot write into the directory to
  create the various files.

  Also, in the postinst of the rsyslog package I see that systemd-tmpfiles is 
attempted to be used to create the files defined in 
/usr/lib/tmpfiles.d/00rsyslog.conf, but from what I can tell this will never 
work because of the systemd-tmpfiles manpage:
 --create
 If this option is passed, all files and directories marked with f, 
F, w, d, D, v, p, L, c, b, m in the configuration files are
 created or written to. Files and directories marked with z, Z, t, 
T, a, and A have their ownership, access mode and security
 labels set.

  Since the files are configured with type "z" only ownership, access
  mode  and security will be updated.

  # lsb_release -rd
  Description:  Ubuntu 18.04.1 LTS
  Release:  18.04

  # apt-cache policy rsyslog
  rsyslog:
Installed: 8.32.0-1ubuntu4
Candidate: 8.32.0-1ubuntu4
Version table:
   *** 8.32.0-1ubuntu4 100
  100 /var/lib/dpkg/status

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/rsyslog/+bug/1811861/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874655] Re: After suspend / resume, WiFi does not reconnect automatically to an hidden access point

2020-06-23 Thread Launchpad Bug Tracker
[Expired for network-manager (Ubuntu) because there has been no activity
for 60 days.]

** Changed in: network-manager (Ubuntu)
   Status: Incomplete => Expired

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1874655

Title:
  After suspend / resume, WiFi does not reconnect automatically to an
  hidden access point

Status in network-manager package in Ubuntu:
  Expired

Bug description:
  After letting my laptop go to sleep, the WiFi does not reconnect
  anymore to an hidden access point. I must go to the WiFi settings
  window, then go to the menu where hidden networks are... hidden, and
  force Network Manager to connect to the hidden AP. Note that I don't
  have any problem on boot. Just when resuming for suspend mode.

  This is a rather recent issue, which I never encountered before these
  past months. I cannot qualify exactly the time where the bug occurred.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: gnome-control-center 1:3.28.2-0ubuntu0.18.04.6
  ProcVersionSignature: Ubuntu 4.15.0-96.97-generic 4.15.18
  Uname: Linux 4.15.0-96-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.14
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Apr 24 10:35:40 2020
  ExecutablePath: /usr/bin/gnome-control-center
  InstallationDate: Installed on 2017-07-19 (1009 days ago)
  InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  ProcEnviron:
   PATH=(custom, user)
   XDG_RUNTIME_DIR=
   LANG=fr_FR.UTF-8
   SHELL=/bin/bash
  SourcePackage: gnome-control-center
  UpgradeStatus: Upgraded to bionic on 2018-10-22 (549 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1874655/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1881942] Re: default configuration forwards sshd failures to port 7070

2020-06-23 Thread Steve Beattie
Hi John,

I'm not sure what's happened here, but the default
/etc/rsyslog.d/50-default.conf contains no such snippet (a pristine copy
is also stored in /usr/share/rsyslog/50-default.conf) and is managed via
ucf. The contents of a pristine version are attached.

Either another package you have installed has modified this config file
(and looking at the failban package and postinstall script, I don't see
anything there that would add anything like that.

Doing a limited google search on the comment string "# Transform and
forward data" turned up this recipe: https://devconnected.com
/geolocating-ssh-hackers-in-real-time/ ; is it possible that this was
added as part of a recipe you were following?

Thanks.

** Attachment added: "50-default.conf"
   
https://bugs.launchpad.net/ubuntu/+source/rsyslog/+bug/1881942/+attachment/5386636/+files/50-default.conf

** Changed in: rsyslog (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to rsyslog in Ubuntu.
https://bugs.launchpad.net/bugs/1881942

Title:
  default configuration forwards sshd failures to port 7070

Status in rsyslog package in Ubuntu:
  Incomplete

Bug description:
  ubuntu eoan (19.10)
  ---

  While investigating why my fail2ban client was not blocking the usual
  script-kiddie SSH attempts, I discovered that no sshd failures were
  appearing in /var/log/auth.log.  Upon opening
  /etc/rsyslog.d/50-default.conf I discovered that sshd failures are
  being transformed and forwarded to localhost:7070.  Here's the section
  of configuration:

  if $programname == 'sshd' then {
 if $msg startswith ' Failed' then {
# Transform and forward data!
action(type="omfwd" target="127.0.0.1" port="7070" protocol="tcp" 
template="ip-json")
 }
 stop
  }

  
  For me, nothing is bound to port 7070. 

  I assume you have a good reason for such a default but it seems
  suboptimal to stop processing after forwarding.  I commented out the
  stop line and restarted rsyslog and found that logs appeared in
  /var/log/auth.log and that my fail2ban is now banning IPs, as
  expected.

  I suggest changing the default configuration so that sshd failures
  reach /var/log/auth.log.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/rsyslog/+bug/1881942/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1867712] Re: package initramfs-tools 0.136ubuntu1 failed to install/upgrade: installed initramfs-tools package post-installation script subprocess returned error exit status 127

2020-06-23 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: initramfs-tools (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1867712

Title:
  package initramfs-tools 0.136ubuntu1 failed to install/upgrade:
  installed initramfs-tools package post-installation script subprocess
  returned error exit status 127

Status in initramfs-tools package in Ubuntu:
  Confirmed

Bug description:
  dpkg: error processing package initramfs-tools (--configure):
   installed initramfs-tools package post-installation script subprocess 
returned error exit status 127
  Processing triggers for linux-image-unsigned-5.4.0-18-generic (5.4.0-18.22) 
...
  /etc/kernel/postinst.d/initramfs-tools:
  update-initramfs: Generating /boot/initrd.img-5.4.0-18-generic
  /usr/sbin/mkinitramfs: 88: .: Can't open 
/usr/share/initramfs-tools/scripts/functions
  update-initramfs: failed for /boot/initrd.img-5.4.0-18-generic with 127.
  run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 127
  dpkg: error processing package linux-image-unsigned-5.4.0-18-generic 
(--configure):
   installed linux-image-unsigned-5.4.0-18-generic package post-installation 
script subprocess returned error exit status 1
  Errors were encountered while processing:
   initramfs-tools
   linux-image-unsigned-5.4.0-18-generic

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: initramfs-tools 0.136ubuntu1
  ProcVersionSignature: Ubuntu 5.4.0-14.17-generic 5.4.18
  Uname: Linux 5.4.0-14-generic x86_64
  ApportVersion: 2.20.11-0ubuntu20
  Architecture: amd64
  Date: Tue Mar 17 08:59:49 2020
  ErrorMessage: installed initramfs-tools package post-installation script 
subprocess returned error exit status 127
  InstallationDate: Installed on 2020-01-09 (67 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
  PackageArchitecture: all
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu1
  PythonDetails: N/A
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu2
   apt  1.9.10
  SourcePackage: initramfs-tools
  Title: package initramfs-tools 0.136ubuntu1 failed to install/upgrade: 
installed initramfs-tools package post-installation script subprocess returned 
error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-02-13 (32 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1867712/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884336] Re: Erratic ethernet connectivity and icon

2020-06-23 Thread Aurosutru
Here is the result of  journalctl -b 0   while the problem is manifest.

** Attachment added: "Requested Result"
   
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1884336/+attachment/5386635/+files/journalctl%20-b%200

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1884336

Title:
  Erratic ethernet connectivity and icon

Status in network-manager package in Ubuntu:
  Incomplete

Bug description:
  Ubuntu 18.04.4 LTS

  Installed: 1.10.6-2ubuntu1.4
Candidate: 1.10.6-2ubuntu1.4
Version table:
   *** 1.10.6-2ubuntu1.4 500

  Expected behavior is a stable high-speed internet connection when usb
  tethering with an Android phone.

  Instead, for the past three months, since covid slowed down internet
  connectivity on Jio telecom in India, my Ubuntu internet connectivity
  has become erratic.  In the early morning before 6 AM when I tether an
  Android phone to my laptop the internet connectivity indicator in the
  upper right-hand corner of the desktop shows the normal three boxes in
  a triangle and has decent speed.  As network traffic increases the
  indicator turns to three gray boxes with a question mark in the middle
  and connectivity speed remains decent for a few websites, such as
  YouTube, Google Search and some others, but connectivity stops for
  most websites.  Chromium, Vivaldi and Firefox browsers show the
  following error for such sites: “This site can’t be reached.
  askubuntu.com’s server IP address could not be found.”

  Oddly, in tri-booted Win 10 all websites open reliably 24/7, though
  sometimes at slow speeds.  In Fedora 31 on the same hardware the
  behavior is identical to Ubuntu.  I’ve tried changing the DNS settings
  in Ubuntu to use Cloud Flare, Google and even the DNS settings in
  Windows, but to no avail.  On Ask Ubuntu there were no helpful
  comments except a suggestion to file a bug report.

  Ideally, connectivity without "unable to connect" errors on most
  websites should be available always.

  BTW, when I allowed data to be collected for this bug report it was in
  the early morning, so the connection was working properly and the
  network icon was the normal three boxes in a triangle with decent
  speed.  If need be, I can send more information later when the "unable
  to connect" errors occur from Windows 10, or via email, which always
  works.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: network-manager 1.10.6-2ubuntu1.4
  ProcVersionSignature: Ubuntu 4.15.0-106.107-generic 4.15.18
  Uname: Linux 4.15.0-106-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.20.9-0ubuntu7.15
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Sat Jun 20 06:49:22 2020
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  InstallationDate: Installed on 2018-08-25 (664 days ago)
  InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 
(20180725)
  IpRoute:
   default via 192.168.137.129 dev enp0s20u1 proto dhcp metric 100 
   169.254.0.0/16 dev enp0s20u1 scope link metric 1000 
   192.168.137.0/24 dev enp0s20u1 proto kernel scope link src 192.168.137.9 
metric 100
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=true
   WWANEnabled=true
  RfKill:
   0: phy0: Wireless LAN
Soft blocked: no
Hard blocked: no
  SourcePackage: network-manager
  UpgradeStatus: No upgrade log present (probably fresh install)
  nmcli-dev:
   DEVICE TYPE  STATE DBUS-PATH 
 CONNECTION  CON-UUID  CON-PATH 
  
   enp0s20u1  ethernet  connected /org/freedesktop/NetworkManager/Devices/4 
 Wired connection 3  d70d6035-59a6-34c1-a00a-d222c65aef1c  
/org/freedesktop/NetworkManager/ActiveConnection/1 
   wlp2s0 wifi  disconnected  /org/freedesktop/NetworkManager/Devices/3 
 --  ----   
  
   enp3s0f2   ethernet  unavailable   /org/freedesktop/NetworkManager/Devices/2 
 --  ----   
  
   lo loopback  unmanaged /org/freedesktop/NetworkManager/Devices/1 
 --  ----
  nmcli-nm:
   RUNNING  VERSION  STATE  STARTUP  CONNECTIVITY  NETWORKING  WIFI-HW  
WIFI WWAN-HW  WWAN
   running  1.10.6   connected  started  full  enabled enabled  
enabled  enabled  enabled

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1884336/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : 

[Touch-packages] [Bug 1882161] Re: module-switch-on-port-avaiable: switch the port on ucm devices based on the priority

2020-06-23 Thread Alex Tu
** Tags added: oem-priority originate-from-1880192

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1882161

Title:
  module-switch-on-port-avaiable: switch the port on ucm devices based
  on the priority

Status in HWE Next:
  New
Status in OEM Priority Project:
  New
Status in pulseaudio package in Ubuntu:
  Fix Released
Status in pulseaudio source package in Focal:
  In Progress
Status in pulseaudio source package in Groovy:
  Fix Released

Bug description:
  This bug originates from an OEM private bug #1875597, then ubuntu
  users reported 2 public bugs #1871329 and #1881659. The 2nd issue of
  #1871329 and the 1st issue of #1881659 have the same root cause as
  #1875597

  [Impact]
  On the Dell machines with multi function audio jack, after installing the 
ubuntu 20.04 and if the audio driver is sof instead of legacy hda, the 
headphone/headset can't output sound automatically after users plug in a 
headphone/headset. This is different from ubuntu 18.04, on the 18.04, the 
headphone/headset could output sound automatically after plugging in the audio 
jack.

  [Fix]
  The root cause is the ucm2 conf defines 2 input devices: the Mic2 and Headset 
MIC, and the pulseaudio parse the input device Headset MIC first then Mic2, 
finally the audio jack is set to Mic2 mode, this make the audio jack can't 
output sound anymore. To fix it, let the audio jack set to Headset MIC mode by 
default (Headset MIC has higher priority than Mic2 in the ucm2 conf), to do so, 
let pulseaudio send the device event to module-switch-on-port-available by the 
order of priority in the umc2.

  [Test Case]
  applying the fix patch to pulseaudio, plug a headset/headphone to the multi 
function audio jack, play sound from headset/headphone, the sound could be 
heard from headset/headphone.

  [Regression Risk]
  Low, just do a small change to store the ucm devices by their priority. and 
upstream just merged this patch.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1882161/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884842] Re: mouse behavior

2020-06-23 Thread Daniel van Vugt
Your kernel log seems to be reporting that the mouse is getting
disconnected and reconnected repeatedly. Is that you unplugging the
mouse or is it doing that while still plugged in?


** Package changed: xorg (Ubuntu) => ubuntu

** Changed in: ubuntu
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1884842

Title:
  mouse behavior

Status in Ubuntu:
  Incomplete

Bug description:
  some mouse buttons &  screen behaviors related to mouse movement,
  doesnt work

  model textron scorpion 5

  i think that i have chosen to hide some error reports printing from
  the machine  to the OS.because i had some pci errors which led to
  endless reports during installation so i could not even install ubuntu
  in the first place without fixing this.there may be a relation to the
  mouse problem cause i saw that is malfunction is related to other usb
  devices

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg 1:7.7+19ubuntu7.1
  ProcVersionSignature: Ubuntu 5.3.0-59.53~18.04.1-generic 5.3.18
  Uname: Linux 5.3.0-59-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.15
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Jun 24 00:03:04 2020
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroVariant: ubuntu
  DkmsStatus: anbox, 1: added
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Intel Corporation HD Graphics 620 [8086:5916] (rev 02) (prog-if 00 [VGA 
controller])
 Subsystem: Hewlett-Packard Company HD Graphics 620 [103c:8216]
 Subsystem: Hewlett-Packard Company GM108M [GeForce 940MX] [103c:8216]
  InstallationDate: Installed on 2020-02-15 (129 days ago)
  InstallationMedia: Ubuntu 18.04.4 LTS "Bionic Beaver" - Release amd64 
(20200203.1)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 003: ID 0bda:b008 Realtek Semiconductor Corp. 
   Bus 001 Device 002: ID 04f2:b56d Chicony Electronics Co., Ltd 
   Bus 001 Device 007: ID 18f8:1686  
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: HP HP Pavilion Notebook
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.3.0-59-generic 
root=/dev/mapper/ubuntu--vg-root ro quiet splash pci=nomsi vt.handoff=1
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 05/02/2019
  dmi.bios.vendor: Insyde
  dmi.bios.version: F.52
  dmi.board.asset.tag: Type2 - Board Asset Tag
  dmi.board.name: 8216
  dmi.board.vendor: HP
  dmi.board.version: 83.18
  dmi.chassis.type: 10
  dmi.chassis.vendor: HP
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnInsyde:bvrF.52:bd05/02/2019:svnHP:pnHPPavilionNotebook:pvrType1ProductConfigId:rvnHP:rn8216:rvr83.18:cvnHP:ct10:cvrChassisVersion:
  dmi.product.family: 103C_5335KV G=N L=CON B=HP S=PAV X=Null
  dmi.product.name: HP Pavilion Notebook
  dmi.product.sku: X9W86EA#AB7
  dmi.product.version: Type1ProductConfigId
  dmi.sys.vendor: HP
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2~18.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 19.2.8-0ubuntu0~18.04.3
  version.libgl1-mesa-glx: libgl1-mesa-glx 19.2.8-0ubuntu0~18.04.3
  version.xserver-xorg-core: xserver-xorg-core N/A
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
  version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+bug/1884842/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884732] Re: Xorg freeze

2020-06-23 Thread Daniel van Vugt
Please:

1. Launch the 'Extensions' app and verify you only have the 3 default
Ubuntu extensions. If you have any others then please disable them.

2. If you only have the 3 default Ubuntu extensions then please provide
a screenshot of your desktop here, and then try disabling 'Ubuntu
AppIndicators'.

3. If you have completed steps 1 and 2 and the problem still occurs then
please check for crashes using these steps:
https://wiki.ubuntu.com/Bugs/Responses#Missing_a_crash_report_or_having_a_.crash_attachment


** Package changed: xorg (Ubuntu) => gnome-shell (Ubuntu)

** Changed in: gnome-shell (Ubuntu)
   Status: New => Incomplete

** Summary changed:

- Xorg freeze
+ The screen freezes every now and then

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1884732

Title:
  The screen freezes every now and then

Status in gnome-shell package in Ubuntu:
  Incomplete

Bug description:
  The screen freezes every now and then.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-38.42-generic 5.4.44
  Uname: Linux 5.4.0-38-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Jun 23 15:36:58 2020
  DistUpgraded: 2020-06-23 14:24:21,927 DEBUG Running PostInstallScript: 
'./xorg_fix_proprietary.py'
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Intel Corporation HD Graphics 5500 [8086:1616] (rev 09) (prog-if 00 [VGA 
controller])
 Subsystem: Hewlett-Packard Company HD Graphics 5500 [103c:802d]
  InstallationDate: Installed on 2020-04-25 (58 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
  MachineType: Hewlett-Packard HP Spectre Pro x360 G1
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-38-generic 
root=UUID=079528a8-d4db-4fc9-b519-73521b170d15 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  Title: Xorg freeze
  UpgradeStatus: Upgraded to focal on 2020-06-23 (0 days ago)
  dmi.bios.date: 12/17/2015
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: F.30
  dmi.board.asset.tag: Base Board Asset Tag
  dmi.board.name: 802D
  dmi.board.vendor: Hewlett-Packard
  dmi.board.version: 58.51
  dmi.chassis.type: 10
  dmi.chassis.vendor: Hewlett-Packard
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrF.30:bd12/17/2015:svnHewlett-Packard:pnHPSpectreProx360G1:pvr:rvnHewlett-Packard:rn802D:rvr58.51:cvnHewlett-Packard:ct10:cvrChassisVersion:
  dmi.product.family: 103C_5336AN G=N L=CON B=HP S=SPT
  dmi.product.name: HP Spectre Pro x360 G1
  dmi.product.sku: P7Q68PA#ABG
  dmi.sys.vendor: Hewlett-Packard
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.102+git2006181830.f44908~oibaf~f
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.2~git2006230730.3fec2f~oibaf~f
  version.libgl1-mesa-glx: libgl1-mesa-glx 20.2~git2006230730.3fec2f~oibaf~f
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.1
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1884732/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1877633] Re: libseccomp 2.4.3 (and 2.4.2) is not correctly resolving (at least) the getrlimit syscall on arm64

2020-06-23 Thread Alex Murray
Ah thanks Dan! - I realise now that perhaps I should have had just the 1
bug report for both issues to make things simpler as having two seems to
have complicated things too much.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libseccomp in Ubuntu.
https://bugs.launchpad.net/bugs/1877633

Title:
  libseccomp 2.4.3 (and 2.4.2) is not correctly resolving (at least) the
  getrlimit syscall on arm64

Status in libseccomp package in Ubuntu:
  Fix Released
Status in libseccomp source package in Focal:
  Fix Committed
Status in libseccomp source package in Groovy:
  Fix Released

Bug description:
  This was reported via the snapcraft forum[1]:

  On bionic amd64, libseccomp 2.4.1-0ubuntu0.18.04.2

  $ lsb_release -d
  Description:  Ubuntu 18.04.4 LTS
  $ scmp_sys_resolver -a aarch64 163
  getrlimit
  $ scmp_sys_resolver -a aarch64 getrlimit
  163

  focal amd64, libseccomp 2.4.3-1ubuntu1 -- *__BROKEN__*

  $ lsb_release -d
  Description:  Ubuntu 20.04 LTS
  $ scmp_sys_resolver -a aarch64 163
  UNKNOWN
  $ scmp_sys_resolver -a aarch64 getrlimit
  -10180

  [1]https://forum.snapcraft.io/t/getrlimit-blocked-by-seccomp-on-focal-
  arm64/17237/8

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libseccomp/+bug/1877633/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884455] Re: pulseaudio creates /root/.config/pulse/ before zfs-mount.service can mount the /root dataset

2020-06-23 Thread Daniel van Vugt
If you can provide a full list of processes running before 'zfs-
mount.service' then I might recognise something that could cause it.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1884455

Title:
  pulseaudio creates /root/.config/pulse/ before zfs-mount.service can
  mount the /root dataset

Status in pulseaudio package in Ubuntu:
  Incomplete

Bug description:
  I use 'zfs' and have /root as its own dataset which is mounted during
  startup by 'zfs-mount.service'.

  At one of the latest upgrades, the 'zfsutils-linux' package failed to
  update because the service 'zfs-mount' service had an issue and could
  not mount the '/root' dataset because the '/root' directory was not
  empty (temporary solution was to rename /root and call 'zfs mount'
  again).

  Further investigation shows that everytime at startup, the /root
  directory is created before the 'zfs-mount.service' has a chance to
  mount the 'root' dataset.

  The culprit seems to be something pulseaudio related: the content of /root 
folder after startup is as follows:
  -
  root@minighost:~# tree -a /root
  .
  ├── .cache
  └── .config
  └── pulse
  └── fe1417537ae0451abdb60c5df28fe825-runtime -> 
/tmp/pulse-PKdhtXMmr18n

  4 directories, 0 files
  root@minighost:~#
  -  


  Extra details:

  - Ubuntu release:
  -
  root@minighost:~# lsb_release -rd
  Description:  Ubuntu 20.04 LTS
  Release:  20.04
  -

  
  - status of 'zfs-mount.service' is the following:
  -  
  root@minighost:~# systemctl status zfs-mount
  ● zfs-mount.service - Mount ZFS filesystems
   Loaded: loaded (/lib/systemd/system/zfs-mount.service; enabled; vendor 
preset: enabled)
   Active: failed (Result: exit-code) since Sun 2020-06-21 12:56:08 CEST; 
6h ago
 Docs: man:zfs(8)
  Process: 2062 ExecStart=/sbin/zfs mount -a (code=exited, status=1/FAILURE)
 Main PID: 2062 (code=exited, status=1/FAILURE)

  Jun 21 12:56:08 minighost systemd[1]: Starting Mount ZFS filesystems...
  Jun 21 12:56:08 minighost zfs[2062]: cannot mount '/root': directory is not 
empty
  Jun 21 12:56:08 minighost systemd[1]: zfs-mount.service: Main process exited, 
code=exited, status=1/FAILURE
  Jun 21 12:56:08 minighost systemd[1]: zfs-mount.service: Failed with result 
'exit-code'.
  Jun 21 12:56:08 minighost systemd[1]: Failed to start Mount ZFS filesystems.
  root@minighost:~#
  -  


  - software versions:
  -
  root@minighost:~# apt-cache policy pulseaudio
  pulseaudio:
Installed: 1:13.99.1-1ubuntu3.3
Candidate: 1:13.99.1-1ubuntu3.3
Version table:
   *** 1:13.99.1-1ubuntu3.3 500
  500 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages
  100 /var/lib/dpkg/status
   1:13.99.1-1ubuntu3.2 500
  500 http://security.ubuntu.com/ubuntu focal-security/main amd64 
Packages
   1:13.99.1-1ubuntu3 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages

  root@minighost:~# apt-cache policy zfsutils-linux
  zfsutils-linux:
Installed: 0.8.3-1ubuntu12.1
Candidate: 0.8.3-1ubuntu12.1
Version table:
   *** 0.8.3-1ubuntu12.1 500
  500 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages
  100 /var/lib/dpkg/status
   0.8.3-1ubuntu12 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
  -

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio 1:13.99.1-1ubuntu3.3
  ProcVersionSignature: Ubuntu 5.4.0-37.41-generic 5.4.41
  Uname: Linux 5.4.0-37-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  dumi   2419 F pulseaudio
  CasperMD5CheckResult: skip
  Date: Sun Jun 21 19:17:20 2020
  InstallationDate: Installed on 2018-09-08 (651 days ago)
  InstallationMedia: Ubuntu 18.04 "Bionic" - Build amd64 LIVE Binary 
20180608-09:38
  PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No 
PulseAudio daemon running, or not running as session daemon.
  SourcePackage: pulseaudio
  UpgradeStatus: Upgraded to focal on 2020-04-24 (57 days ago)
  dmi.bios.date: 12/11/2019
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.12.1
  dmi.board.name: 0F6P3V
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.12.1:bd12/11/2019:svnDellInc.:pnXPS139370:pvr:rvnDellInc.:rn0F6P3V:rvrA00:cvnDellInc.:ct10:cvr:
  dmi.product.family: XPS
  dmi.product.name: XPS 13 9370
  dmi.product.sku: 07E6
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:

[Touch-packages] [Bug 1868520] Re: Wayland apps fail to run with zwp_linux_dmabuf error (failed to import supplied dmabufs: Unsupported buffer format 808669784 [DRM_FORMAT_XRGB2101010]) (or 808665665

2020-06-23 Thread Daniel van Vugt
^^^
I very much doubt that is Mesa's fault...

autopkgtest [12:39:33]: test command1:  - - - - - - - - - - results - - - - - - 
- - - -
command1 FAIL non-zero exit status 139
autopkgtest [12:39:33]: test command1:  - - - - - - - - - - stderr - - - - - - 
- - - -
Segmentation fault (core dumped)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1868520

Title:
  Wayland apps fail to run with zwp_linux_dmabuf error (failed to import
  supplied dmabufs: Unsupported buffer format 808669784
  [DRM_FORMAT_XRGB2101010]) (or 808665665 [DRM_FORMAT_ABGR2101010])

Status in Mesa:
  Fix Released
Status in MPV:
  Unknown
Status in mesa package in Ubuntu:
  Fix Released
Status in mesa source package in Bionic:
  Invalid
Status in mesa source package in Focal:
  Fix Committed

Bug description:
  [Impact]

  Wayland apps fail to start in focal with:

  error 7: failed to import supplied dmabufs: Unsupported buffer format
  808669784

  [Test Case]

  Just run: es2gears_wayland

  [Regression Potential]

  Medium/unknown. The fix is quite new.

  [Other Info]

  When attempting to run es2gears_wayland against GNOME Shell, it fails
  with:

  EGL_VERSION = 1.5
  vertex shader info:
  fragment shader info:
  info:
  [destroyed object]: error 7: failed to import supplied dmabufs: Unsupported 
buffer format 808669784

  The full wayland protocol trace is:

  [3104432.914]  -> wl_display@1.get_registry(new id wl_registry@2)
  [3104432.972]  -> wl_disp...@1.sync(new id wl_callback@3)
  [3104433.139] wl_display@1.delete_id(3)
  [3104433.175] wl_registry@2.global(1, "wl_drm", 2)
  [3104433.207] wl_registry@2.global(2, "wl_compositor", 4)
  [3104433.240]  -> wl_regis...@2.bind(2, "wl_compositor", 1, new id 
[unknown]@4)
  [3104433.285] wl_registry@2.global(3, "wl_shm", 1)
  [3104433.316] wl_registry@2.global(4, "wl_output", 2)
  [3104433.347] wl_registry@2.global(5, "zxdg_output_manager_v1", 3)
  [3104433.376] wl_registry@2.global(6, "wl_data_device_manager", 3)
  [3104433.404] wl_registry@2.global(7, "gtk_primary_selection_device_manager", 
1)
  [3104433.432] wl_registry@2.global(8, "wl_subcompositor", 1)
  [3104433.459] wl_registry@2.global(9, "xdg_wm_base", 2)
  [3104433.485] wl_registry@2.global(10, "zxdg_shell_v6", 1)
  [3104433.513] wl_registry@2.global(11, "wl_shell", 1)
  [3104433.542]  -> wl_regis...@2.bind(11, "wl_shell", 1, new id [unknown]@5)
  [3104433.582] wl_registry@2.global(12, "gtk_shell1", 3)
  [3104433.611] wl_registry@2.global(13, "wp_viewporter", 1)
  [3104433.640] wl_registry@2.global(14, "zwp_pointer_gestures_v1", 1)
  [3104433.670] wl_registry@2.global(15, "zwp_tablet_manager_v2", 1)
  [3104433.699] wl_registry@2.global(16, "wl_seat", 5)
  [3104433.728] wl_registry@2.global(17, "zwp_relative_pointer_manager_v1", 1)
  [3104433.758] wl_registry@2.global(18, "zwp_pointer_constraints_v1", 1)
  [3104433.787] wl_registry@2.global(19, "zxdg_exporter_v1", 1)
  [3104433.816] wl_registry@2.global(20, "zxdg_importer_v1", 1)
  [3104433.846] wl_registry@2.global(21, "zwp_linux_dmabuf_v1", 3)
  [3104433.875] wl_registry@2.global(22, 
"zwp_keyboard_shortcuts_inhibit_manager_v1", 1)
  [3104433.904] wl_registry@2.global(23, "zwp_text_input_manager_v3", 1)
  [3104433.933] wl_registry@2.global(24, "gtk_text_input_manager", 1)
  [3104433.960] wl_registry@2.global(26, "wl_eglstream_controller", 1)
  [3104433.991] wl_callb...@3.done(3421)
  [3104436.266]  -> wl_display@1.get_registry(new id wl_registry@3)
  [3104436.279]  -> wl_disp...@1.sync(new id wl_callback@6)
  [3104436.647] wl_display@1.delete_id(6)
  [3104436.672] wl_registry@3.global(1, "wl_drm", 2)
  [3104436.726]  -> wl_regis...@3.bind(1, "wl_drm", 2, new id [unknown]@7)
  [3104436.744] wl_registry@3.global(2, "wl_compositor", 4)
  [3104436.780] wl_registry@3.global(3, "wl_shm", 1)
  [3104436.790] wl_registry@3.global(4, "wl_output", 2)
  [3104436.803] wl_registry@3.global(5, "zxdg_output_manager_v1", 3)
  [3104436.833] wl_registry@3.global(6, "wl_data_device_manager", 3)
  [3104436.868] wl_registry@3.global(7, "gtk_primary_selection_device_manager", 
1)
  [3104436.882] wl_registry@3.global(8, "wl_subcompositor", 1)
  [3104436.898] wl_registry@3.global(9, "xdg_wm_base", 2)
  [3104436.913] wl_registry@3.global(10, "zxdg_shell_v6", 1)
  [3104436.925] wl_registry@3.global(11, "wl_shell", 1)
  [3104436.937] wl_registry@3.global(12, "gtk_shell1", 3)
  [3104436.950] wl_registry@3.global(13, "wp_viewporter", 1)
  [3104436.963] wl_registry@3.global(14, "zwp_pointer_gestures_v1", 1)
  [3104436.976] wl_registry@3.global(15, "zwp_tablet_manager_v2", 1)
  [3104436.990] wl_registry@3.global(16, "wl_seat", 5)
  [3104437.001] wl_registry@3.global(17, "zwp_relative_pointer_manager_v1", 1)
  [3104437.013] wl_registry@3.global(18, "zwp_pointer_constraints_v1", 1)
  [3104437.026] wl_registry@3.global(19, "zxdg_exporter_v1", 1)
  [3104437.038] 

[Touch-packages] [Bug 1876320] Update Released

2020-06-23 Thread Chris Halse Rogers
The verification of the Stable Release Update for openssh has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1876320

Title:
  Port parameter sshd_config is 22 AND whatever you specify

Status in portable OpenSSH:
  Unknown
Status in openssh package in Ubuntu:
  Fix Released
Status in openssh source package in Focal:
  Fix Released
Status in openssh package in Debian:
  Fix Released

Bug description:
  [Impact]

   * The "Port" option in sshd_config is accumulative, but due to a bug re-
 adds the default when an include is encountered. Therefore we have these 
 cases
 a) Port 722
Listens on 722 (correct)
 b) Port 722
Port 
Listens on 722 &  (correct)
 c) Port 722
include /path/to/otherconfig
Listens on 722 & 22 (applied defaults as if Port was unset)

   * Of the above (c) is a bug, not documented that way and can lead to open 
 ports not expected and not wanted.

  [Test Case]

  * Test if defaults are applied even if option is specified

  Rename sshd_config to something_else and replace sshd_config with two
  lines to include the original config (now called something_else) and
  set the Port to 7722:

  systemctl stop ssh
  mv /etc/ssh/sshd_config /etc/ssh/something_else
  cat > /etc/ssh/sshd_config 

[Touch-packages] [Bug 1876320] Re: Port parameter sshd_config is 22 AND whatever you specify

2020-06-23 Thread Launchpad Bug Tracker
This bug was fixed in the package openssh - 1:8.2p1-4ubuntu0.1

---
openssh (1:8.2p1-4ubuntu0.1) focal; urgency=medium

  * d/p/lp-1876320-*: avoid applying defaults for every include statement
(LP: #1876320)

 -- Christian Ehrhardt   Fri, 29 May
2020 09:37:09 +0200

** Changed in: openssh (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1876320

Title:
  Port parameter sshd_config is 22 AND whatever you specify

Status in portable OpenSSH:
  Unknown
Status in openssh package in Ubuntu:
  Fix Released
Status in openssh source package in Focal:
  Fix Released
Status in openssh package in Debian:
  Fix Released

Bug description:
  [Impact]

   * The "Port" option in sshd_config is accumulative, but due to a bug re-
 adds the default when an include is encountered. Therefore we have these 
 cases
 a) Port 722
Listens on 722 (correct)
 b) Port 722
Port 
Listens on 722 &  (correct)
 c) Port 722
include /path/to/otherconfig
Listens on 722 & 22 (applied defaults as if Port was unset)

   * Of the above (c) is a bug, not documented that way and can lead to open 
 ports not expected and not wanted.

  [Test Case]

  * Test if defaults are applied even if option is specified

  Rename sshd_config to something_else and replace sshd_config with two
  lines to include the original config (now called something_else) and
  set the Port to 7722:

  systemctl stop ssh
  mv /etc/ssh/sshd_config /etc/ssh/something_else
  cat > /etc/ssh/sshd_config 

[Touch-packages] [Bug 1860620] Re: ubuntu-desktop-minimal should not depend on mysql libs

2020-06-23 Thread Brian Murray
** Tags added: rls-gg-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/1860620

Title:
  ubuntu-desktop-minimal should not depend on mysql libs

Status in ubuntu-meta package in Ubuntu:
  Confirmed

Bug description:
  After upgrading to 20.04 I decided to remove packages that I don't
  need or use.

  I was surprised to find that mysql client, server and common packages
  were installed, as I could not remember having installed mysql -- I
  don't use it or develop for it...

  When I removed them, ubuntu-desktop-minimal went along for the ride:

  c@slate:~$ sudo apt-get purge -y mysql-client-core-5.7 mysql-common 
mysql-server-core-5.7 
  Reading package lists... Done
  Building dependency tree   
  Reading state information... Done
  Package 'mysql-client-core-5.7' is not installed, so not removed
  Package 'mysql-server-core-5.7' is not installed, so not removed
  The following package was automatically installed and is no longer required:
libgsound0
  Use 'sudo apt autoremove' to remove it.
  The following packages will be REMOVED:
colord* gnome-control-center* libmysqlclient21* libsane* libsnmp30* 
mysql-common* ubuntu-desktop-minimal*
  0 upgraded, 0 newly installed, 7 to remove and 0 not upgraded.
  After this operation, 28.4 MB disk space will be freed.
  (Reading database ... 381127 files and directories currently installed.)
  Removing ubuntu-desktop-minimal (1.443) ...
  Removing gnome-control-center (1:3.34.1-1ubuntu3) ...
  Removing colord (1.4.4-1ubuntu1) ...
  Removing libsane:amd64 (1.0.27-3.2ubuntu3) ...
  Removing libsnmp30:amd64 (5.7.3+dfsg-5ubuntu6) ...
  Removing libmysqlclient21:amd64 (8.0.18-0ubuntu5) ...
  Removing mysql-common (5.8+1.0.5ubuntu2) ...
  Processing triggers for mime-support (3.64ubuntu1) ...
  Processing triggers for gnome-menus (3.32.0-1ubuntu1) ...
  Processing triggers for libglib2.0-0:amd64 (2.63.3-1) ...
  Processing triggers for libc-bin (2.30-0ubuntu3) ...
  Processing triggers for man-db (2.9.0-2) ...
  Processing triggers for dbus (1.12.16-2ubuntu2) ...
  Processing triggers for udev (244-3ubuntu1) ...
  Processing triggers for desktop-file-utils (0.24-1ubuntu1) ...
  (Reading database ... 380812 files and directories currently installed.)
  Purging configuration files for mysql-common (5.8+1.0.5ubuntu2) ...
  Purging configuration files for colord (1.4.4-1ubuntu1) ...

  And, reinstalling ubuntu-desktop-minimal wants to brings them back,
  even with recommends and suggests turned off:

  c@slate:~$ sudo apt install ubuntu-desktop-minimal --no-install-recommends 
--no-install-
  --no-install-recommends  --no-install-suggests
  c@slate:~$ sudo apt install ubuntu-desktop-minimal --no-install-recommends 
--no-install-suggests 
  Reading package lists... Done
  Building dependency tree   
  Reading state information... Done
  The following additional packages will be installed:
colord gnome-control-center libmysqlclient21 libsane libsnmp30 mysql-common
  Suggested packages:
colord-sensor-argyll gnome-user-share realmd libcanberra-gtk-module hplip
  Recommended packages:
gnome-online-accounts gnome-control-center-faces rygel | rygel-tracker 
sane-utils firefox hplip
  The following NEW packages will be installed:
colord gnome-control-center libmysqlclient21 libsane libsnmp30 mysql-common 
ubuntu-desktop-minimal
  0 upgraded, 7 newly installed, 0 to remove and 0 not upgraded.
  Need to get 0 B/6,114 kB of archives.
  After this operation, 28.4 MB of additional disk space will be used.
  Do you want to continue? [Y/n] 

  This seems really wrong... and looks like a transitive dependency, as
  I don't see it in apt-get showpkg ubuntu-desktop-minimal.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: ubuntu-desktop-minimal 1.443
  ProcVersionSignature: Ubuntu 4.15.0-74.84-generic 4.15.18
  Uname: Linux 4.15.0-74-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair binder_linux 
ashmem_linux
  ApportVersion: 2.20.11-0ubuntu15
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Jan 22 19:26:53 2020
  InstallationDate: Installed on 2018-08-26 (514 days ago)
  InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 
(20180725)
  ProcEnviron:
   TERM=xterm
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: ubuntu-meta
  UpgradeStatus: Upgraded to focal on 2020-01-23 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-meta/+bug/1860620/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883027] Re: dump_acpi_tables.py: fix incorrect output and change format

2020-06-23 Thread Brian Murray
** Changed in: apport (Ubuntu Groovy)
   Status: Confirmed => In Progress

** Changed in: apport (Ubuntu Groovy)
 Assignee: (unassigned) => Brian Murray (brian-murray)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1883027

Title:
  dump_acpi_tables.py: fix incorrect output and change format

Status in Apport:
  Confirmed
Status in apport package in Ubuntu:
  In Progress
Status in apport source package in Focal:
  Confirmed
Status in apport source package in Groovy:
  In Progress

Bug description:
  dump_acpi_tables.py generates log files that is similar as the output
  from "acpidump" in acpica-tools. The output can be passed to other
  utilities in acpica-tools and fwts.

  It, however, has some subtle differences and some errors.

  Summary:

  1. ACPI tables have 4-char signatures - meaning SSDT's are SSDT, not
  SSDT1, SSDT2 and so on. Each table is unique by its table ID.

  Original:
    SSDT1, SSDT2, SSDT3 ...

  Changed:
    SSDT, SSDT, SSDT ...

  2. (Minor) acpidump outputs are all in upper cases

  3. (Minor) acpidump offset are aligned by data, not address

  Original:
    FFF0: 53 41 56 43 52 44 43 41 4E 43 52 4E 72 4E 50 4D  SAVCRDCANCRNrNPM
    1: 56 0A 04 00 0C FC FF FF FF 0A 03 0A 03 52 44 43  VRDC

  Changed:
  FFF0: 53 41 56 43 52 44 43 41 4E 43 52 4E 72 4E 50 4D  SAVCRDCANCRNrNPM
     1: 56 0A 04 00 0C FC FF FF FF 0A 03 0A 03 52 44 43  VRDC

  4. (Bug) dump_acpi_tables.py generates an extra line when data sizes
  are multiple of 16 bytes

  Original:
  05F0: 30 30 0B 00 08 00 A4 48 50 53 44 A4 53 50 53 44  00.HPSD.SPSD
  05F0: 30 30 0B 00 08 00 A4 48 50 53 44 A4 53 50 53 44 
 00.HPSD.SPSD

  Corrected:
  05F0: 30 30 0B 00 08 00 A4 48 50 53 44 A4 53 50 53 44  00.HPSD.SPSD

  5. (Bug) dump_acpi_tables.py misses an line when data sizes are
  multiple of 15 bytes

  Original:
  07E0: 42 0A 87 5C 2F 03 5F 53 42 5F 55 42 54 43 43 43  B..\/._SB_UBTCCC

  Corrected:
  07E0: 42 0A 87 5C 2F 03 5F 53 42 5F 55 42 54 43 43 43  B..\/._SB_UBTCCC
  07F0: 49 33 86 5C 2E 5F 53 42 5F 55 42 54 43 0A 80 I3.\._SB_UBTC..

To manage notifications about this bug go to:
https://bugs.launchpad.net/apport/+bug/1883027/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884221] Re: `ubuntu-bug` fails with "UnboundLocalError: local variable 'project' referenced before assignment"

2020-06-23 Thread Launchpad Bug Tracker
** Branch linked: lp:~ubuntu-core-dev/ubuntu/groovy/apport/ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1884221

Title:
  `ubuntu-bug` fails with "UnboundLocalError: local variable 'project'
  referenced before assignment"

Status in apport package in Ubuntu:
  In Progress

Bug description:
  I just tried to `ubuntu-bug ubiquity` on a groovy(20.10) qa-test
  install using Xubuntu, however `ubuntu-bug` abended with python
  errors.

  I tried to file this with `ubuntu-bug apport` & again errors (but
  scanning it looks identical)

  I'm filing this report on my primary box and will apport-collect after
  filing, plus copy/paste the details from the actual box.

  "UnboundLocalError: local variable 'project' referenced before
  assignment"

  xubuntu@xubuntu:~$ ubuntu-bug ubiquity
  Traceback (most recent call last):
File "/usr/share/apport/apport-gtk", line 597, in 
  app.run_argv()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 708, in run_argv
  return self.run_report_bug()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 549, in 
run_report_bug
  self.file_report()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 1396, in 
file_report
  url = self.crashdb.get_comment_url(self.report, ticket)
File "/usr/lib/python3/dist-packages/apport/crashdb_impl/launchpad.py", 
line 247, in get_comment_url
  if not project:
  UnboundLocalError: local variable 'project' referenced before assignment

  xubuntu@xubuntu:~$ ubuntu-bug apport
  Traceback (most recent call last):
File "/usr/share/apport/apport-gtk", line 597, in 
  app.run_argv()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 708, in run_argv
  return self.run_report_bug()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 549, in 
run_report_bug
  self.file_report()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 1396, in 
file_report
  url = self.crashdb.get_comment_url(self.report, ticket)
File "/usr/lib/python3/dist-packages/apport/crashdb_impl/launchpad.py", 
line 247, in get_comment_url
  if not project:
  UnboundLocalError: local variable 'project' referenced before assignment

  
  ---
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu40
  Architecture: amd64
  CasperMD5CheckResult: pass
  CasperVersion: 1.451
  CurrentDesktop: XFCE
  DistroRelease: Ubuntu 20.10
  LiveMediaBuild: Xubuntu 20.10 "Groovy Gorilla" - Alpha amd64 (20200619)
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  Package: apport 2.20.11-0ubuntu40
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 5.4.0-26.30-generic 5.4.30
  Tags:  groovy
  Uname: Linux 5.4.0-26-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
  _MarkForUpload: True

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1884221/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883027] Re: dump_acpi_tables.py: fix incorrect output and change format

2020-06-23 Thread Launchpad Bug Tracker
** Branch linked: lp:~ubuntu-core-dev/ubuntu/groovy/apport/ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1883027

Title:
  dump_acpi_tables.py: fix incorrect output and change format

Status in Apport:
  Confirmed
Status in apport package in Ubuntu:
  In Progress
Status in apport source package in Focal:
  Confirmed
Status in apport source package in Groovy:
  In Progress

Bug description:
  dump_acpi_tables.py generates log files that is similar as the output
  from "acpidump" in acpica-tools. The output can be passed to other
  utilities in acpica-tools and fwts.

  It, however, has some subtle differences and some errors.

  Summary:

  1. ACPI tables have 4-char signatures - meaning SSDT's are SSDT, not
  SSDT1, SSDT2 and so on. Each table is unique by its table ID.

  Original:
    SSDT1, SSDT2, SSDT3 ...

  Changed:
    SSDT, SSDT, SSDT ...

  2. (Minor) acpidump outputs are all in upper cases

  3. (Minor) acpidump offset are aligned by data, not address

  Original:
    FFF0: 53 41 56 43 52 44 43 41 4E 43 52 4E 72 4E 50 4D  SAVCRDCANCRNrNPM
    1: 56 0A 04 00 0C FC FF FF FF 0A 03 0A 03 52 44 43  VRDC

  Changed:
  FFF0: 53 41 56 43 52 44 43 41 4E 43 52 4E 72 4E 50 4D  SAVCRDCANCRNrNPM
     1: 56 0A 04 00 0C FC FF FF FF 0A 03 0A 03 52 44 43  VRDC

  4. (Bug) dump_acpi_tables.py generates an extra line when data sizes
  are multiple of 16 bytes

  Original:
  05F0: 30 30 0B 00 08 00 A4 48 50 53 44 A4 53 50 53 44  00.HPSD.SPSD
  05F0: 30 30 0B 00 08 00 A4 48 50 53 44 A4 53 50 53 44 
 00.HPSD.SPSD

  Corrected:
  05F0: 30 30 0B 00 08 00 A4 48 50 53 44 A4 53 50 53 44  00.HPSD.SPSD

  5. (Bug) dump_acpi_tables.py misses an line when data sizes are
  multiple of 15 bytes

  Original:
  07E0: 42 0A 87 5C 2F 03 5F 53 42 5F 55 42 54 43 43 43  B..\/._SB_UBTCCC

  Corrected:
  07E0: 42 0A 87 5C 2F 03 5F 53 42 5F 55 42 54 43 43 43  B..\/._SB_UBTCCC
  07F0: 49 33 86 5C 2E 5F 53 42 5F 55 42 54 43 0A 80 I3.\._SB_UBTC..

To manage notifications about this bug go to:
https://bugs.launchpad.net/apport/+bug/1883027/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884846] [NEW] Can't connect to internet if second user session

2020-06-23 Thread Facundo Batista
Public bug reported:

My kid was using the laptop, connected to internet in his user session.

I switched to my user (but his session was still active), and
NetworkManager couldn't connect to internet.

Error from syslog:

Jun 23 19:30:15 tanquita NetworkManager[854]:   [1592951415.1979]
audit: op="connection-activate" uuid="a52379fa-
0a44-4013-93b6-b04e63515fb9" name="Voyager" pid=34278 uid=1000
result="fail" reason="Private connection already active on the device:
uid 1000 has no permission to perform this operation"

(uid 1000 is myself)

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: network-manager 1.22.10-1ubuntu2.1
ProcVersionSignature: Ubuntu 5.4.0-37.41-generic 5.4.41
Uname: Linux 5.4.0-37-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.3
Architecture: amd64
CasperMD5CheckResult: skip
CurrentDesktop: KDE
Date: Tue Jun 23 19:40:19 2020
InstallationDate: Installed on 2020-06-20 (3 days ago)
InstallationMedia: Kubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
IpRoute:
 default via 192.168.100.1 dev wlp4s0 proto dhcp metric 600 
 169.254.0.0/16 dev wlp4s0 scope link metric 1000 
 192.168.100.0/24 dev wlp4s0 proto kernel scope link src 192.168.100.103 metric 
600
SourcePackage: network-manager
UpgradeStatus: No upgrade log present (probably fresh install)
nmcli-nm:
 RUNNING  VERSION  STATE  STARTUP  CONNECTIVITY  NETWORKING  WIFI-HW  WIFI  
   WWAN-HW  WWAN
 running  1.22.10  connected  started  full  enabled enabled  
enabled  enabled  enabled

** Affects: network-manager (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1884846

Title:
  Can't connect to internet if second user session

Status in network-manager package in Ubuntu:
  New

Bug description:
  My kid was using the laptop, connected to internet in his user
  session.

  I switched to my user (but his session was still active), and
  NetworkManager couldn't connect to internet.

  Error from syslog:

  Jun 23 19:30:15 tanquita NetworkManager[854]: 
  [1592951415.1979] audit: op="connection-activate" uuid="a52379fa-
  0a44-4013-93b6-b04e63515fb9" name="Voyager" pid=34278 uid=1000
  result="fail" reason="Private connection already active on the device:
  uid 1000 has no permission to perform this operation"

  (uid 1000 is myself)

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: network-manager 1.22.10-1ubuntu2.1
  ProcVersionSignature: Ubuntu 5.4.0-37.41-generic 5.4.41
  Uname: Linux 5.4.0-37-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: KDE
  Date: Tue Jun 23 19:40:19 2020
  InstallationDate: Installed on 2020-06-20 (3 days ago)
  InstallationMedia: Kubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  IpRoute:
   default via 192.168.100.1 dev wlp4s0 proto dhcp metric 600 
   169.254.0.0/16 dev wlp4s0 scope link metric 1000 
   192.168.100.0/24 dev wlp4s0 proto kernel scope link src 192.168.100.103 
metric 600
  SourcePackage: network-manager
  UpgradeStatus: No upgrade log present (probably fresh install)
  nmcli-nm:
   RUNNING  VERSION  STATE  STARTUP  CONNECTIVITY  NETWORKING  WIFI-HW  
WIFI WWAN-HW  WWAN
   running  1.22.10  connected  started  full  enabled enabled  
enabled  enabled  enabled

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1884846/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884221] Re: `ubuntu-bug` fails with "UnboundLocalError: local variable 'project' referenced before assignment"

2020-06-23 Thread Brian Murray
** Changed in: apport (Ubuntu)
   Status: Confirmed => In Progress

** Changed in: apport (Ubuntu)
 Assignee: (unassigned) => Brian Murray (brian-murray)

** Changed in: apport (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1884221

Title:
  `ubuntu-bug` fails with "UnboundLocalError: local variable 'project'
  referenced before assignment"

Status in apport package in Ubuntu:
  In Progress

Bug description:
  I just tried to `ubuntu-bug ubiquity` on a groovy(20.10) qa-test
  install using Xubuntu, however `ubuntu-bug` abended with python
  errors.

  I tried to file this with `ubuntu-bug apport` & again errors (but
  scanning it looks identical)

  I'm filing this report on my primary box and will apport-collect after
  filing, plus copy/paste the details from the actual box.

  "UnboundLocalError: local variable 'project' referenced before
  assignment"

  xubuntu@xubuntu:~$ ubuntu-bug ubiquity
  Traceback (most recent call last):
File "/usr/share/apport/apport-gtk", line 597, in 
  app.run_argv()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 708, in run_argv
  return self.run_report_bug()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 549, in 
run_report_bug
  self.file_report()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 1396, in 
file_report
  url = self.crashdb.get_comment_url(self.report, ticket)
File "/usr/lib/python3/dist-packages/apport/crashdb_impl/launchpad.py", 
line 247, in get_comment_url
  if not project:
  UnboundLocalError: local variable 'project' referenced before assignment

  xubuntu@xubuntu:~$ ubuntu-bug apport
  Traceback (most recent call last):
File "/usr/share/apport/apport-gtk", line 597, in 
  app.run_argv()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 708, in run_argv
  return self.run_report_bug()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 549, in 
run_report_bug
  self.file_report()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 1396, in 
file_report
  url = self.crashdb.get_comment_url(self.report, ticket)
File "/usr/lib/python3/dist-packages/apport/crashdb_impl/launchpad.py", 
line 247, in get_comment_url
  if not project:
  UnboundLocalError: local variable 'project' referenced before assignment

  
  ---
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu40
  Architecture: amd64
  CasperMD5CheckResult: pass
  CasperVersion: 1.451
  CurrentDesktop: XFCE
  DistroRelease: Ubuntu 20.10
  LiveMediaBuild: Xubuntu 20.10 "Groovy Gorilla" - Alpha amd64 (20200619)
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  Package: apport 2.20.11-0ubuntu40
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 5.4.0-26.30-generic 5.4.30
  Tags:  groovy
  Uname: Linux 5.4.0-26-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
  _MarkForUpload: True

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1884221/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1784499] Re: AppArmor treats regular NFS file access as network op

2020-06-23 Thread clickwir
FWIW, I still see this on a fresh Ubuntu 20.04 install. My NFS server is
also Ubuntu 20.04.

Linux server01 5.4.0-37-generic #41-Ubuntu SMP Wed Jun 3 18:57:02 UTC
2020 x86_64 x86_64 x86_64 GNU/Linux

[1129462.984558] audit: type=1400 audit(1592950067.469:72821): 
apparmor="DENIED" operation="sendmsg" profile="/usr/bin/man" pid=2490588 
comm="man" laddr=10.x.x.x lport=846 faddr=10.x.x.x fport=2049 family="inet" 
sock_type="stream" protocol=6 requested_mask="send" denied_mask="send"
[1129462.984563] nfs: RPC call returned error 13

My server /etc/exports looks like this:
/path *(rw,async,insecure,mp=/path,all_squash,no_subtree_check)

My client's fstab just uses 'defaults', nothing else. But here's what 'mount' 
shows:
10.x.x.x:/path on /path type nfs4 
(rw,relatime,vers=4.2,rsize=1048576,wsize=1048576,namlen=255,hard,proto=tcp,timeo=600,retrans=2,sec=sys,clientaddr=10.x.x.x,local_lock=none,addr=10.x.x.x)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1784499

Title:
  AppArmor treats regular NFS file access as network op

Status in AppArmor:
  Confirmed
Status in snapd:
  Invalid
Status in apparmor package in Ubuntu:
  Confirmed

Bug description:
  I am using AppArmor 2.12-4ubuntu5 on Ubuntu 18.04/bionic.

  I have the usr.bin.man profile enforced, and home directories in NFS.

  The log excerpt copied below is the result of a single invocation of
  "man ls" by an unprivileged user. (The program did display the man
  page correctly to the user.)

  It does not seem appropriate for AppArmor to report the man(1) program
  as having attempted to contact the NFS server directly, when it only
  tried to access an NFS-served file in the normal way. "man" is not a
  network-aware program and the log below misleadingly implies
  otherwise.

  

  Jul 30 17:38:35 darkstar kernel: [69963.052243] nfs: RPC call returned error 
13
  Jul 30 17:38:35 darkstar kernel: [69963.052274] nfs: RPC call returned error 
13
  Jul 30 17:38:35 darkstar kernel: [69963.052297] nfs: RPC call returned error 
13
  Jul 30 17:38:35 darkstar kernel: [69963.052314] kauditd_printk_skb: 34 
callbacks suppressed
  Jul 30 17:38:35 darkstar kernel: [69963.052316] audit: type=1400 
audit(1532986715.854:214): apparmor="DENIED" operation="sendmsg" 
profile="/usr/bin/man" pid=2781 comm="man" laddr=X.X.X.X lport=719 
faddr=Y.Y.Y.Y fport=2049 family="inet" sock_type="stream" protocol=6 
requested_mask="send" denied_mask="send"
  Jul 30 17:38:35 darkstar kernel: [69963.052323] audit: type=1400 
audit(1532986715.854:215): apparmor="DENIED" operation="sendmsg" 
profile="/usr/bin/man" pid=2781 comm="man" laddr=X.X.X.X lport=802 
faddr=10.24.115.84 fport=2049 family="inet" sock_type="stream" protocol=6 
requested_mask="send" denied_mask="send"
  Jul 30 17:38:35 darkstar kernel: [69963.052327] audit: type=1400 
audit(1532986715.854:216): apparmor="DENIED" operation="sendmsg" 
profile="/usr/bin/man" pid=2781 comm="man" laddr=X.X.X.X lport=719 
faddr=Y.Y.Y.Y fport=2049 family="inet" sock_type="stream" protocol=6 
requested_mask="send" denied_mask="send"
  Jul 30 17:38:35 darkstar kernel: [69963.052339] nfs: RPC call returned error 
13
  Jul 30 17:38:35 darkstar kernel: [69963.052363] audit: type=1400 
audit(1532986715.854:217): apparmor="DENIED" operation="sendmsg" 
profile="/usr/bin/man" pid=2781 comm="man" laddr=X.X.X.X lport=719 
faddr=Y.Y.Y.Y fport=2049 family="inet" sock_type="stream" protocol=6 
requested_mask="send" denied_mask="send"
  Jul 30 17:38:35 darkstar kernel: [69963.052364] nfs: RPC call returned error 
13
  Jul 30 17:38:35 darkstar kernel: [69963.052369] audit: type=1400 
audit(1532986715.854:218): apparmor="DENIED" operation="sendmsg" 
profile="/usr/bin/man" pid=2781 comm="man" laddr=X.X.X.X lport=802 
faddr=10.24.115.84 fport=2049 family="inet" sock_type="stream" protocol=6 
requested_mask="send" denied_mask="send"
  Jul 30 17:38:35 darkstar kernel: [69963.052386] nfs: RPC call returned error 
13
  Jul 30 17:38:35 darkstar kernel: [69963.052450] audit: type=1400 
audit(1532986715.854:219): apparmor="DENIED" operation="sendmsg" 
profile="/usr/bin/man" pid=2781 comm="man" laddr=X.X.X.X lport=719 
faddr=Y.Y.Y.Y fport=2049 family="inet" sock_type="stream" protocol=6 
requested_mask="send" denied_mask="send"
  Jul 30 17:38:35 darkstar kernel: [69963.059570] nfs: RPC call returned error 
13
  Jul 30 17:38:35 darkstar kernel: [69963.059640] audit: type=1400 
audit(1532986715.862:220): apparmor="DENIED" operation="sendmsg" 
profile="/usr/bin/man" pid=2781 comm="man" laddr=X.X.X.X lport=719 
faddr=Y.Y.Y.Y fport=2049 family="inet" sock_type="stream" protocol=6 
requested_mask="send" denied_mask="send"
  Jul 30 17:38:35 darkstar kernel: [69963.061907] nfs: RPC call returned error 
13
  Jul 30 17:38:35 darkstar kernel: [69963.061925] audit: type=1400 
audit(1532986715.862:221): apparmor="DENIED" 

[Touch-packages] [Bug 1883694] Re: [SRU] New upstream release 2.64.3

2020-06-23 Thread Brian Murray
Hello Iain, or anyone else affected,

Accepted glib2.0 into focal-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/glib2.0/2.64.3-1~ubuntu20.04.1 in a
few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested, what testing has been
performed on the package and change the tag from verification-needed-
focal to verification-done-focal. If it does not fix the bug for you,
please add a comment stating that, and change the tag to verification-
failed-focal. In either case, without details of your testing we will
not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: glib2.0 (Ubuntu Focal)
   Status: In Progress => Fix Committed

** Tags added: verification-needed verification-needed-focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to glib2.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1883694

Title:
  [SRU] New upstream release 2.64.3

Status in glib2.0 package in Ubuntu:
  Fix Released
Status in glib2.0 source package in Focal:
  Fix Committed

Bug description:
  [ Description ]

  Take this new upstrem stable release.

  +glib2.0 (2.64.3-1~ubuntu20.04.1) UNRELEASED; urgency=medium
  +
  +  * No-change backport from unstable / groovy to focal.
  +
  + -- Iain Lane   Tue, 16 Jun 2020 11:53:34 +0100
  +
  +glib2.0 (2.64.3-1) unstable; urgency=medium
  +
  +  * Team upload
  +
  +  [ Laurent Bigonville ]
  +  * Drop the libgio-fam package, and install the fam GIO plugin in
  +libglib2.0-0 on Hurd ports. See: #885011 (Closes: #875915)
  +  * Stop building the libgio-fam package on kFreeBSD ports.
  +It is no longer necessary now that gkqueuefilemonitor is available.
  +
  +  [ Simon McVittie ]
  +  * Clarify changelog entry regarding Hurd and kFreeBSD
  +  * New upstream stable release
  +
  + -- Simon McVittie   Fri, 29 May 2020 20:24:33 +0100

  The gio-fam related changes do not affect Ubuntu, as they are for
  hurd/kfreebsd only.

  Upstream NEWS diff:

  * Stability improvements for various unit tests

  * Bugs fixed:
   - #1954 gdbus-server-auth intermittent failure
   - #2094 Deprecation warnings when compiling with 
-DGLIB_VERSION_MAX_ALLOWED=GLIB_VERSION_2_28 
-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_28
   - !1470 Backport !1440 -Wformat-nonliteral fixes to glib-2-64
   - !1471 Backport !1448 memory monitor test dependency fixes to glib-2-64
   - !1473 CI: Switch to new Windows runners (2.64)
   - !1478 Backport !1477 D-Bus keyring handling fixes to glib-2-64
   - !1483 Backport !1481 “array: fix corrupt state of GPtrArray after 
g_ptr_array_extend_and_steal()” to glib-2-64
   - !1484 Backport !1480 “CI: Make sure we use meson 0.49.2 in MSYS2” to 
glib-2-64
   - !1486 Backport !1472 “gthread: ignore deprecated declarations in static 
inline functions” to glib-2-64
   - !1495 Backport !1493 “meson: Remove stray ], in O_DIRECTORY check” to 
glib-2-64
   - !1501 Backport !1439 “Fix stpcpy() detection“ to glib-2-64

  * Translation updates:
   - Chinese (Taiwan)
   - German

  [ QA ]

  Upstream release, so QA already performed by maintainers

  https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  This upload will trigger many autopkgtests that we expect to not be
  regressed by this upload.

  [ Regression potential ]

  Various fixes in multiple places so multiple apps could be affected.
  Pretty much all parts of GNOME use GLib, so test anything in the
  desktop that you can.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/glib2.0/+bug/1883694/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884101] Re: [SRU] jackdbus produces high cpu load

2020-06-23 Thread Brian Murray
Assignment isn't really an important part of the SRU process from the
SRU team's perspective. If there is some documentation that indicates it
is please let me know.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to jackd2 in Ubuntu.
https://bugs.launchpad.net/bugs/1884101

Title:
  [SRU] jackdbus produces high cpu load

Status in jackd2 package in Ubuntu:
  Fix Released
Status in jackd2 source package in Focal:
  Fix Committed
Status in jackd2 source package in Groovy:
  Fix Released

Bug description:
  [Impact]

   * Users have reported issues with high CPU load when running jackd and 
 jackdbus, causing system slowdowns

   * This newer version was backported into the Ubuntu Studio Backports PPA 
 and has shown to have success in fixing this issue.

  [Test Case]

   * Attempt to run jackd and jackdbus, jackd tends to take 100% per CPU

   * Killing jackd and jackdbus reduces CPU down to nominal levels

   * Version in Ubuntu Studio Backports PPA does not have this issue,
  same version exists in Ubuntu Groovy Gorilla.

  [Regression Potential]

   * Since jackd is used by multiple professional audio applications and
  therefore there could be potential negative impact on those
  applicaitons.

   * Although that regression potential exists, multiple users have
  reported great success when using the newer version.

  [Other Info]
   
   * Although not a "bug" per se, upstream developer lamented the fact that the 
version in 20.04 is so far behind. 

   * Most audio applications and plugins in Ubuntu 20.04 have been
  developed with this version of Jackd in mind.

  
  Original bug report:

  
  if jackd and jackdbus run, jackd and/or jackdbus produce high cpu load. jackd 
tends to take all availabl CPU power bringing the system to slow down 
remarkably. Killing jackd and jackdbus frees cpu and system load drops from 
100%/per CPU down to ~4% overall.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio-module-jack 1:13.99.1-1ubuntu3.3
  ProcVersionSignature: Ubuntu 5.4.0-37.41-generic 5.4.41
  Uname: Linux 5.4.0-37-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  sct-muc1800 F pulseaudio
   /dev/snd/pcmC0D0c:   sct-muc1800 F...m pulseaudio
   /dev/snd/pcmC0D0p:   sct-muc1800 F...m pulseaudio
   /dev/snd/timer:  sct-muc1800 f pulseaudio
  CasperMD5CheckResult: skip
  Date: Thu Jun 18 18:08:25 2020
  InstallationDate: Installed on 2019-09-09 (282 days ago)
  InstallationMedia: Xubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  ProcEnviron:
   LANGUAGE=de_DE
   TERM=screen
   PATH=(custom, no user)
   LANG=de_DE.UTF-8
   SHELL=/bin/bash
  PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No 
PulseAudio daemon running, or not running as session daemon.
  SourcePackage: pulseaudio
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 02/27/2020
  dmi.bios.vendor: Phoenix Technologies LTD
  dmi.bios.version: 6.00
  dmi.board.name: 440BX Desktop Reference Platform
  dmi.board.vendor: Intel Corporation
  dmi.board.version: None
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 1
  dmi.chassis.vendor: No Enclosure
  dmi.chassis.version: N/A
  dmi.modalias: 
dmi:bvnPhoenixTechnologiesLTD:bvr6.00:bd02/27/2020:svnVMware,Inc.:pnVMwareVirtualPlatform:pvrNone:rvnIntelCorporation:rn440BXDesktopReferencePlatform:rvrNone:cvnNoEnclosure:ct1:cvrN/A:
  dmi.product.name: VMware Virtual Platform
  dmi.product.version: None
  dmi.sys.vendor: VMware, Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/jackd2/+bug/1884101/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1882901] Autopkgtest regression report (mesa/20.0.8-0ubuntu1~18.04.1)

2020-06-23 Thread Ubuntu SRU Bot
All autopkgtests for the newly accepted mesa (20.0.8-0ubuntu1~18.04.1) for 
bionic have finished running.
The following regressions have been reported in tests triggered by the package:

pymol/1.8.4.0+dfsg-1build1 (armhf)


Please visit the excuses page listed below and investigate the failures, 
proceeding afterwards as per the StableReleaseUpdates policy regarding 
autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-
migration/bionic/update_excuses.html#mesa

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1882901

Title:
  Migrate mesa to llvm 10

Status in libclc package in Ubuntu:
  Fix Released
Status in mesa package in Ubuntu:
  Fix Released
Status in libclc source package in Bionic:
  Fix Committed
Status in mesa source package in Bionic:
  Fix Committed
Status in libclc source package in Focal:
  Fix Committed
Status in mesa source package in Focal:
  Fix Committed

Bug description:
  [Impact]

  Mesa should migrate to llvm 10. Focal didn't migrate to it before
  release, because there was a build issue on ppc64el, which has since
  been fixed.

  [Test case]

  Test AMD graphics after installing migrated packages.

  [Regression potential]

  This has been in Debian for a month now without issues.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libclc/+bug/1882901/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876882] Autopkgtest regression report (mesa/20.0.8-0ubuntu1~18.04.1)

2020-06-23 Thread Ubuntu SRU Bot
All autopkgtests for the newly accepted mesa (20.0.8-0ubuntu1~18.04.1) for 
bionic have finished running.
The following regressions have been reported in tests triggered by the package:

pymol/1.8.4.0+dfsg-1build1 (armhf)


Please visit the excuses page listed below and investigate the failures, 
proceeding afterwards as per the StableReleaseUpdates policy regarding 
autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-
migration/bionic/update_excuses.html#mesa

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1876882

Title:
  Backport packages for 18.04.5 HWE stack

Status in libclc package in Ubuntu:
  Invalid
Status in libdrm package in Ubuntu:
  Invalid
Status in llvm-toolchain-10 package in Ubuntu:
  Invalid
Status in mesa package in Ubuntu:
  Invalid
Status in xorg-server-hwe-18.04 package in Ubuntu:
  Invalid
Status in xserver-xorg-video-amdgpu-hwe-18.04 package in Ubuntu:
  Invalid
Status in xserver-xorg-video-ati-hwe-18.04 package in Ubuntu:
  Invalid
Status in libclc source package in Bionic:
  Invalid
Status in libdrm source package in Bionic:
  Fix Released
Status in llvm-toolchain-10 source package in Bionic:
  Fix Released
Status in mesa source package in Bionic:
  Fix Committed
Status in xorg-server-hwe-18.04 source package in Bionic:
  Fix Released
Status in xserver-xorg-video-amdgpu-hwe-18.04 source package in Bionic:
  Fix Released
Status in xserver-xorg-video-ati-hwe-18.04 source package in Bionic:
  Fix Released

Bug description:
  [Impact]

  These are needed for 18.04.5 images.

  [Test case]

  Boot a daily image, see that it still has the necessary stack
  installed and working.

  Check upgrade from stock bionic.

  [Regression potential]

  libdrm: very minimal chance for regressions

  llvm-10: a new package, no regression potential on it's own

  libclc: more or less just adds support for new llvm

  mesa: a new major release, but we'll pull the final stable release of
  20.0.x series, so there shouldn't be any regressions left at that
  point

  xserver: a new point-release

  xorg drivers: modest updates, if any

  [Other info]

  mesa and libclc will migrate to llvm-10 in a separate upload

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libclc/+bug/1876882/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1868520] Autopkgtest regression report (mesa/20.0.8-0ubuntu1~18.04.1)

2020-06-23 Thread Ubuntu SRU Bot
All autopkgtests for the newly accepted mesa (20.0.8-0ubuntu1~18.04.1) for 
bionic have finished running.
The following regressions have been reported in tests triggered by the package:

pymol/1.8.4.0+dfsg-1build1 (armhf)


Please visit the excuses page listed below and investigate the failures, 
proceeding afterwards as per the StableReleaseUpdates policy regarding 
autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-
migration/bionic/update_excuses.html#mesa

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1868520

Title:
  Wayland apps fail to run with zwp_linux_dmabuf error (failed to import
  supplied dmabufs: Unsupported buffer format 808669784
  [DRM_FORMAT_XRGB2101010]) (or 808665665 [DRM_FORMAT_ABGR2101010])

Status in Mesa:
  Fix Released
Status in MPV:
  Unknown
Status in mesa package in Ubuntu:
  Fix Released
Status in mesa source package in Bionic:
  Invalid
Status in mesa source package in Focal:
  Fix Committed

Bug description:
  [Impact]

  Wayland apps fail to start in focal with:

  error 7: failed to import supplied dmabufs: Unsupported buffer format
  808669784

  [Test Case]

  Just run: es2gears_wayland

  [Regression Potential]

  Medium/unknown. The fix is quite new.

  [Other Info]

  When attempting to run es2gears_wayland against GNOME Shell, it fails
  with:

  EGL_VERSION = 1.5
  vertex shader info:
  fragment shader info:
  info:
  [destroyed object]: error 7: failed to import supplied dmabufs: Unsupported 
buffer format 808669784

  The full wayland protocol trace is:

  [3104432.914]  -> wl_display@1.get_registry(new id wl_registry@2)
  [3104432.972]  -> wl_disp...@1.sync(new id wl_callback@3)
  [3104433.139] wl_display@1.delete_id(3)
  [3104433.175] wl_registry@2.global(1, "wl_drm", 2)
  [3104433.207] wl_registry@2.global(2, "wl_compositor", 4)
  [3104433.240]  -> wl_regis...@2.bind(2, "wl_compositor", 1, new id 
[unknown]@4)
  [3104433.285] wl_registry@2.global(3, "wl_shm", 1)
  [3104433.316] wl_registry@2.global(4, "wl_output", 2)
  [3104433.347] wl_registry@2.global(5, "zxdg_output_manager_v1", 3)
  [3104433.376] wl_registry@2.global(6, "wl_data_device_manager", 3)
  [3104433.404] wl_registry@2.global(7, "gtk_primary_selection_device_manager", 
1)
  [3104433.432] wl_registry@2.global(8, "wl_subcompositor", 1)
  [3104433.459] wl_registry@2.global(9, "xdg_wm_base", 2)
  [3104433.485] wl_registry@2.global(10, "zxdg_shell_v6", 1)
  [3104433.513] wl_registry@2.global(11, "wl_shell", 1)
  [3104433.542]  -> wl_regis...@2.bind(11, "wl_shell", 1, new id [unknown]@5)
  [3104433.582] wl_registry@2.global(12, "gtk_shell1", 3)
  [3104433.611] wl_registry@2.global(13, "wp_viewporter", 1)
  [3104433.640] wl_registry@2.global(14, "zwp_pointer_gestures_v1", 1)
  [3104433.670] wl_registry@2.global(15, "zwp_tablet_manager_v2", 1)
  [3104433.699] wl_registry@2.global(16, "wl_seat", 5)
  [3104433.728] wl_registry@2.global(17, "zwp_relative_pointer_manager_v1", 1)
  [3104433.758] wl_registry@2.global(18, "zwp_pointer_constraints_v1", 1)
  [3104433.787] wl_registry@2.global(19, "zxdg_exporter_v1", 1)
  [3104433.816] wl_registry@2.global(20, "zxdg_importer_v1", 1)
  [3104433.846] wl_registry@2.global(21, "zwp_linux_dmabuf_v1", 3)
  [3104433.875] wl_registry@2.global(22, 
"zwp_keyboard_shortcuts_inhibit_manager_v1", 1)
  [3104433.904] wl_registry@2.global(23, "zwp_text_input_manager_v3", 1)
  [3104433.933] wl_registry@2.global(24, "gtk_text_input_manager", 1)
  [3104433.960] wl_registry@2.global(26, "wl_eglstream_controller", 1)
  [3104433.991] wl_callb...@3.done(3421)
  [3104436.266]  -> wl_display@1.get_registry(new id wl_registry@3)
  [3104436.279]  -> wl_disp...@1.sync(new id wl_callback@6)
  [3104436.647] wl_display@1.delete_id(6)
  [3104436.672] wl_registry@3.global(1, "wl_drm", 2)
  [3104436.726]  -> wl_regis...@3.bind(1, "wl_drm", 2, new id [unknown]@7)
  [3104436.744] wl_registry@3.global(2, "wl_compositor", 4)
  [3104436.780] wl_registry@3.global(3, "wl_shm", 1)
  [3104436.790] wl_registry@3.global(4, "wl_output", 2)
  [3104436.803] wl_registry@3.global(5, "zxdg_output_manager_v1", 3)
  [3104436.833] wl_registry@3.global(6, "wl_data_device_manager", 3)
  [3104436.868] wl_registry@3.global(7, "gtk_primary_selection_device_manager", 
1)
  [3104436.882] wl_registry@3.global(8, "wl_subcompositor", 1)
  [3104436.898] wl_registry@3.global(9, "xdg_wm_base", 2)
  [3104436.913] wl_registry@3.global(10, "zxdg_shell_v6", 1)
  [3104436.925] wl_registry@3.global(11, "wl_shell", 1)
  [3104436.937] wl_registry@3.global(12, "gtk_shell1", 3)
  [3104436.950] wl_registry@3.global(13, "wp_viewporter", 1)
  [3104436.963] wl_registry@3.global(14, "zwp_pointer_gestures_v1", 1)
  [3104436.976] wl_registry@3.global(15, "zwp_tablet_manager_v2", 1)
  [3104436.990] 

[Touch-packages] [Bug 1771041] Re: Remove gconf from Ubuntu

2020-06-23 Thread Erich Eickmeyer
** Changed in: jack-mixer (Ubuntu)
   Status: New => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gconf in Ubuntu.
https://bugs.launchpad.net/bugs/1771041

Title:
  Remove gconf from Ubuntu

Status in desktopnova package in Ubuntu:
  New
Status in evolution-indicator package in Ubuntu:
  New
Status in gconf package in Ubuntu:
  New
Status in gconf-editor package in Ubuntu:
  New
Status in gkdebconf package in Ubuntu:
  New
Status in gnome-mastermind package in Ubuntu:
  New
Status in gnome-phone-manager package in Ubuntu:
  New
Status in gnome-xcf-thumbnailer package in Ubuntu:
  New
Status in gnomint package in Ubuntu:
  New
Status in gtkwave package in Ubuntu:
  Fix Released
Status in guake-indicator package in Ubuntu:
  New
Status in gyrus package in Ubuntu:
  Fix Released
Status in jack-mixer package in Ubuntu:
  Fix Committed
Status in jana package in Ubuntu:
  New
Status in mssh package in Ubuntu:
  New
Status in ogmrip package in Ubuntu:
  New
Status in ooo-thumbnailer package in Ubuntu:
  New
Status in planner package in Ubuntu:
  New
Status in ogmrip package in Debian:
  Confirmed

Bug description:
  gconf is being removed from Debian Testing. We should remove it from
  Ubuntu also.

  eclipse is troublesome. At a minimum, we can remove everything but
  eclipse and gconf.

  libgnome is sort of a blocker so do it first LP: #1771031
  And remove libqt-gconf LP: #1740538

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/desktopnova/+bug/1771041/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878517] Re: please apply bash 5.0 patch 17

2020-06-23 Thread Matthieu Clemenceau
** Description changed:

+ This section is for Focal SRU purpose
+ 
+ [Impact]
+ From https://ftp.gnu.org/gnu/bash
+ There were cases where bash 5.0 patch 16 reaped process substitution file 
descriptors (or FIFOs) and processes to early. This is a better fix for the 
problem that bash50-016 attempted to solve.
+ 
+ [Test Case]
+ This simple bash script pass when bash with patch 017 is installed
+ Recommend to run it before and after installing the update to notice the 
difference
+ 
+ ```
+ #!/usr/bin/bash
+ 
+ ouch() {
+ cat < <(echo bar)
+ cat "$1"
+ }
+ 
+ ouch2() {
+ { cat; } < <(echo bar)
+ cat "$1"
+ }
+ 
+ ouch <(echo "foo")
+ ouch2 <(echo "foo")
+ ```
+ Expected output with the patch installed:
+ 
+ foo
+ bar
+ foo
+ bar
+ 
+ [Regression Potential]
+ This is an upstream patch level update with no additional modification. The 
regression potential should be fairly low. Also the patch is intended to only 
fix this problem.
+ Possible regression would be unforeseen additional process substitutions that 
upstream bash would share.
+   
+ End SRU
+ --
+ Original Bug Description:
+ 
  I am using Ubuntu 20.04 for development and has hit a bug in bash 5.0
  patch 16.
  
  I can't reproduce it in pure bash, but with bats from https://github.com
  /bats-core/bats-core/ it is very easy to repro:
  
  ```
  # cat << EOF > ya.bats
  check() {
-   echo "check $@"
-   ls -l /proc/self/fd
+  echo "check $@"
+  ls -l /proc/self/fd
  }
  
  @test "here file" {
-   check -p <(echo "hey")
-   false
+  check -p <(echo "hey")
+  false
  }
  EOF
  
  $ bats ya.bats
  ```
  
  Normally the output should contain the line
  
-lr-x-- 1 kir kir 64 May 14 02:01 63 -> pipe:[4616918]
+    lr-x-- 1 kir kir 64 May 14 02:01 63 -> pipe:[4616918]
  
  which is a result of a "here file" created by bash via <(echo "hey").
  
  In my testing, about 50% of runs don't have /dev/fd/63 listed.
  
  I found out this is a manifest of a bug introduced in bash 5.0 patch 16
  (see http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-016)
  
  The bug is fixed in 5.0 patch 17 (see
  http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-017).
  
  Please update bash to patchlevel 17.

** Patch added: "debdiff for focal SRU"
   
https://bugs.launchpad.net/ubuntu/+source/bash/+bug/1878517/+attachment/5386580/+files/bash-5.0-6ubuntu1.1-focal.debdiff

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bash in Ubuntu.
https://bugs.launchpad.net/bugs/1878517

Title:
  please apply bash 5.0 patch 17

Status in bash package in Ubuntu:
  Fix Released
Status in bash source package in Focal:
  In Progress

Bug description:
  This section is for Focal SRU purpose

  [Impact]
  From https://ftp.gnu.org/gnu/bash
  There were cases where bash 5.0 patch 16 reaped process substitution file 
descriptors (or FIFOs) and processes to early. This is a better fix for the 
problem that bash50-016 attempted to solve.

  [Test Case]
  This simple bash script pass when bash with patch 017 is installed
  Recommend to run it before and after installing the update to notice the 
difference

  ```
  #!/usr/bin/bash

  ouch() {
  cat < <(echo bar)
  cat "$1"
  }

  ouch2() {
  { cat; } < <(echo bar)
  cat "$1"
  }

  ouch <(echo "foo")
  ouch2 <(echo "foo")
  ```
  Expected output with the patch installed:

  foo
  bar
  foo
  bar

  [Regression Potential]
  This is an upstream patch level update with no additional modification. The 
regression potential should be fairly low. Also the patch is intended to only 
fix this problem.
  Possible regression would be unforeseen additional process substitutions that 
upstream bash would share.

  End SRU
  --
  Original Bug Description:

  I am using Ubuntu 20.04 for development and has hit a bug in bash 5.0
  patch 16.

  I can't reproduce it in pure bash, but with bats from
  https://github.com/bats-core/bats-core/ it is very easy to repro:

  ```
  # cat << EOF > ya.bats
  check() {
   echo "check $@"
   ls -l /proc/self/fd
  }

  @test "here file" {
   check -p <(echo "hey")
   false
  }
  EOF

  $ bats ya.bats
  ```

  Normally the output should contain the line

     lr-x-- 1 kir kir 64 May 14 02:01 63 -> pipe:[4616918]

  which is a result of a "here file" created by bash via <(echo "hey").

  In my testing, about 50% of runs don't have /dev/fd/63 listed.

  I found out this is a manifest of a bug introduced in bash 5.0 patch
  16 (see http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-016)

  The bug is fixed in 5.0 patch 17 (see
  http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-017).

  Please update bash to patchlevel 17.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bash/+bug/1878517/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : 

[Touch-packages] [Bug 1884101] Re: [SRU] jackdbus produces high cpu load

2020-06-23 Thread Erich Eickmeyer
Sebastien, yeah, it's uploaded. Except proper SRU procedure is that,
once I have it done, I unassign myself and let the SRU team set it as
"Fix Commited", afaik. Hence, I unassigned myself and didn't change the
status.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to jackd2 in Ubuntu.
https://bugs.launchpad.net/bugs/1884101

Title:
  [SRU] jackdbus produces high cpu load

Status in jackd2 package in Ubuntu:
  Fix Released
Status in jackd2 source package in Focal:
  Fix Committed
Status in jackd2 source package in Groovy:
  Fix Released

Bug description:
  [Impact]

   * Users have reported issues with high CPU load when running jackd and 
 jackdbus, causing system slowdowns

   * This newer version was backported into the Ubuntu Studio Backports PPA 
 and has shown to have success in fixing this issue.

  [Test Case]

   * Attempt to run jackd and jackdbus, jackd tends to take 100% per CPU

   * Killing jackd and jackdbus reduces CPU down to nominal levels

   * Version in Ubuntu Studio Backports PPA does not have this issue,
  same version exists in Ubuntu Groovy Gorilla.

  [Regression Potential]

   * Since jackd is used by multiple professional audio applications and
  therefore there could be potential negative impact on those
  applicaitons.

   * Although that regression potential exists, multiple users have
  reported great success when using the newer version.

  [Other Info]
   
   * Although not a "bug" per se, upstream developer lamented the fact that the 
version in 20.04 is so far behind. 

   * Most audio applications and plugins in Ubuntu 20.04 have been
  developed with this version of Jackd in mind.

  
  Original bug report:

  
  if jackd and jackdbus run, jackd and/or jackdbus produce high cpu load. jackd 
tends to take all availabl CPU power bringing the system to slow down 
remarkably. Killing jackd and jackdbus frees cpu and system load drops from 
100%/per CPU down to ~4% overall.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio-module-jack 1:13.99.1-1ubuntu3.3
  ProcVersionSignature: Ubuntu 5.4.0-37.41-generic 5.4.41
  Uname: Linux 5.4.0-37-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  sct-muc1800 F pulseaudio
   /dev/snd/pcmC0D0c:   sct-muc1800 F...m pulseaudio
   /dev/snd/pcmC0D0p:   sct-muc1800 F...m pulseaudio
   /dev/snd/timer:  sct-muc1800 f pulseaudio
  CasperMD5CheckResult: skip
  Date: Thu Jun 18 18:08:25 2020
  InstallationDate: Installed on 2019-09-09 (282 days ago)
  InstallationMedia: Xubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  ProcEnviron:
   LANGUAGE=de_DE
   TERM=screen
   PATH=(custom, no user)
   LANG=de_DE.UTF-8
   SHELL=/bin/bash
  PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No 
PulseAudio daemon running, or not running as session daemon.
  SourcePackage: pulseaudio
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 02/27/2020
  dmi.bios.vendor: Phoenix Technologies LTD
  dmi.bios.version: 6.00
  dmi.board.name: 440BX Desktop Reference Platform
  dmi.board.vendor: Intel Corporation
  dmi.board.version: None
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 1
  dmi.chassis.vendor: No Enclosure
  dmi.chassis.version: N/A
  dmi.modalias: 
dmi:bvnPhoenixTechnologiesLTD:bvr6.00:bd02/27/2020:svnVMware,Inc.:pnVMwareVirtualPlatform:pvrNone:rvnIntelCorporation:rn440BXDesktopReferencePlatform:rvrNone:cvnNoEnclosure:ct1:cvrN/A:
  dmi.product.name: VMware Virtual Platform
  dmi.product.version: None
  dmi.sys.vendor: VMware, Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/jackd2/+bug/1884101/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884842] [NEW] mouse behavior

2020-06-23 Thread sciamanocaotico
Public bug reported:

some mouse buttons &  screen behaviors related to mouse movement, doesnt
work

model textron scorpion 5

i think that i have chosen to hide some error reports printing from the
machine  to the OS.because i had some pci errors which led to endless
reports during installation so i could not even install ubuntu in the
first place without fixing this.there may be a relation to the mouse
problem cause i saw that is malfunction is related to other usb devices

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: xorg 1:7.7+19ubuntu7.1
ProcVersionSignature: Ubuntu 5.3.0-59.53~18.04.1-generic 5.3.18
Uname: Linux 5.3.0-59-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.15
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Wed Jun 24 00:03:04 2020
DistUpgraded: Fresh install
DistroCodename: bionic
DistroVariant: ubuntu
DkmsStatus: anbox, 1: added
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation HD Graphics 620 [8086:5916] (rev 02) (prog-if 00 [VGA 
controller])
   Subsystem: Hewlett-Packard Company HD Graphics 620 [103c:8216]
   Subsystem: Hewlett-Packard Company GM108M [GeForce 940MX] [103c:8216]
InstallationDate: Installed on 2020-02-15 (129 days ago)
InstallationMedia: Ubuntu 18.04.4 LTS "Bionic Beaver" - Release amd64 
(20200203.1)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 003: ID 0bda:b008 Realtek Semiconductor Corp. 
 Bus 001 Device 002: ID 04f2:b56d Chicony Electronics Co., Ltd 
 Bus 001 Device 007: ID 18f8:1686  
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: HP HP Pavilion Notebook
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.3.0-59-generic 
root=/dev/mapper/ubuntu--vg-root ro quiet splash pci=nomsi vt.handoff=1
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/02/2019
dmi.bios.vendor: Insyde
dmi.bios.version: F.52
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: 8216
dmi.board.vendor: HP
dmi.board.version: 83.18
dmi.chassis.type: 10
dmi.chassis.vendor: HP
dmi.chassis.version: Chassis Version
dmi.modalias: 
dmi:bvnInsyde:bvrF.52:bd05/02/2019:svnHP:pnHPPavilionNotebook:pvrType1ProductConfigId:rvnHP:rn8216:rvr83.18:cvnHP:ct10:cvrChassisVersion:
dmi.product.family: 103C_5335KV G=N L=CON B=HP S=PAV X=Null
dmi.product.name: HP Pavilion Notebook
dmi.product.sku: X9W86EA#AB7
dmi.product.version: Type1ProductConfigId
dmi.sys.vendor: HP
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.101-2~18.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 19.2.8-0ubuntu0~18.04.3
version.libgl1-mesa-glx: libgl1-mesa-glx 19.2.8-0ubuntu0~18.04.3
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug bionic ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1884842

Title:
  mouse behavior

Status in xorg package in Ubuntu:
  New

Bug description:
  some mouse buttons &  screen behaviors related to mouse movement,
  doesnt work

  model textron scorpion 5

  i think that i have chosen to hide some error reports printing from
  the machine  to the OS.because i had some pci errors which led to
  endless reports during installation so i could not even install ubuntu
  in the first place without fixing this.there may be a relation to the
  mouse problem cause i saw that is malfunction is related to other usb
  devices

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg 1:7.7+19ubuntu7.1
  ProcVersionSignature: Ubuntu 5.3.0-59.53~18.04.1-generic 5.3.18
  Uname: Linux 5.3.0-59-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.15
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Jun 24 00:03:04 2020
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroVariant: ubuntu
  DkmsStatus: anbox, 1: added
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Intel Corporation HD Graphics 620 [8086:5916] (rev 02) (prog-if 00 [VGA 
controller])
 Subsystem: Hewlett-Packard Company HD Graphics 620 [103c:8216]
 Subsystem: Hewlett-Packard Company GM108M [GeForce 940MX] [103c:8216]
  InstallationDate: Installed on 2020-02-15 (129 days ago)
  InstallationMedia: Ubuntu 18.04.4 LTS "Bionic Beaver" - Release amd64 
(20200203.1)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 003: ID 0bda:b008 Realtek 

[Touch-packages] [Bug 1878517] Re: please apply bash 5.0 patch 17

2020-06-23 Thread Matthieu Clemenceau
** Changed in: bash (Ubuntu Focal)
   Status: Confirmed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bash in Ubuntu.
https://bugs.launchpad.net/bugs/1878517

Title:
  please apply bash 5.0 patch 17

Status in bash package in Ubuntu:
  Fix Released
Status in bash source package in Focal:
  In Progress

Bug description:
  I am using Ubuntu 20.04 for development and has hit a bug in bash 5.0
  patch 16.

  I can't reproduce it in pure bash, but with bats from
  https://github.com/bats-core/bats-core/ it is very easy to repro:

  ```
  # cat << EOF > ya.bats
  check() {
echo "check $@"
ls -l /proc/self/fd
  }

  @test "here file" {
check -p <(echo "hey")
false
  }
  EOF

  $ bats ya.bats
  ```

  Normally the output should contain the line

 lr-x-- 1 kir kir 64 May 14 02:01 63 -> pipe:[4616918]

  which is a result of a "here file" created by bash via <(echo "hey").

  In my testing, about 50% of runs don't have /dev/fd/63 listed.

  I found out this is a manifest of a bug introduced in bash 5.0 patch
  16 (see http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-016)

  The bug is fixed in 5.0 patch 17 (see
  http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-017).

  Please update bash to patchlevel 17.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bash/+bug/1878517/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1870058] Re: Collect deleted users

2020-06-23 Thread Brian Murray
Hello Didier, or anyone else affected,

Accepted shadow into focal-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/shadow/1:4.8.1-1ubuntu5.20.04 in a
few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested, what testing has been
performed on the package and change the tag from verification-needed-
focal to verification-done-focal. If it does not fix the bug for you,
please add a comment stating that, and change the tag to verification-
failed-focal. In either case, without details of your testing we will
not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: shadow (Ubuntu Focal)
   Status: New => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to shadow in Ubuntu.
https://bugs.launchpad.net/bugs/1870058

Title:
  Collect deleted users

Status in shadow package in Ubuntu:
  Fix Released
Status in zsys package in Ubuntu:
  Fix Released
Status in shadow source package in Focal:
  Fix Committed
Status in zsys source package in Focal:
  Fix Committed

Bug description:
  [Impact]
   * Deleting users were preserving corresponding ZFS user datasets, without 
marking them for cleanup.
   * This is covered by dedicated use cases.

  [Test Case]
   1. Ensure you have a foo user:
   2. Run userdel --remove foo
   3. Check that rpool/USERDATA/foo_ has its content removed and is not 
mounted
   4. zfs get com.ubuntu.zsys:bootfs-dataset rpool/USERDATA/foo_ is not 
associated with current system dataset
  ---
  Other use case:
   1.Ensure you have a foo user:
   2. Run userdel foo
   3. Check that rpool/USERDATA/foo_ still has its content, but is not 
mounted.
   4. zfs get com.ubuntu.zsys:bootfs-dataset rpool/USERDATA/foo_ is not 
associated with current system dataset
  ---
  On a non ZFS installation :
   1. Ensure you have a foo user:
   2. Run userdel --remove foo
   3. The user is deleted, no error occured.
  ---
  On a non ZFS installation with ZSys installed :
   1. Ensure you have a foo user:
   2. Run userdel --remove foo
   3. The user is deleted, no error occured.

  [Regression Potential]
   * A new hidden command is added, triggered by userdel.
   * Tests are covering this new command and GRPC request.
   * The methodology is similar to useradd and usermod. The dependency between 
shadow and zsys is weak on purpose:
   - the ZSys hidden command is available and is a no-op if not called
   - if calling the command failed on userdel, nothing is done on ZSys side, 
but the code path is similar to ZSys not being installed or running on a non 
ZFS system.

  

  Ideally, we would untag them as part of GC so that we can clean them
  up later. However, those can be linked to states on other pools with
  same pool name than targetted one, and it will be hard to match them.

  Give a command for users to see them in status and then manually
  remove suspicious datasets ?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/shadow/+bug/1870058/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1787769] Re: lvconvert stripes N of lv type raid5 results in dead filesystem

2020-06-23 Thread Kundarsa
** Changed in: lvm2 (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lvm2 in Ubuntu.
https://bugs.launchpad.net/bugs/1787769

Title:
  lvconvert stripes N of lv type raid5 results in dead filesystem

Status in lvm2 package in Ubuntu:
  Incomplete

Bug description:
  reproducible issue.
  After creating a new LV --type raid5, mkfs.ext4 and rsync the backup the 
filesystem will corrupt if i extend the lv using lvconvert --stripes N vg/lv. I 
monitor the cpy%sync with lvs and reboot well after 100%, but the fs wont mount 
and file -s /dev/dm-N says "data"

  IMHO lvconvert --stripes N should refuse to run on --type raid5 until
  resolved.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lvm2/+bug/1787769/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1413410] Re: Unable to match embedded NULLs in unix bind rule for abstract sockets

2020-06-23 Thread Jamie Strandboge
We released UC16/xenial with a new enough apparmor (which was also
backported to trusty) so we can mark the snapd task as Invalid, which I
did just now.

** Changed in: snappy
   Status: Incomplete => Invalid

** Changed in: snappy
 Assignee: Jamie Strandboge (jdstrand) => (unassigned)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1413410

Title:
  Unable to match embedded NULLs in unix bind rule for abstract sockets

Status in AppArmor:
  Fix Released
Status in AppArmor 2.9 series:
  In Progress
Status in Snappy:
  Invalid
Status in apparmor package in Ubuntu:
  Fix Released

Bug description:
  On Ubuntu 14.10, I had this in my logs:
  Jan 21 16:32:30 localhost kernel: [24900.927939] audit: type=1400 
audit(1421879550.441:534): apparmor="DENIED" operation="bind" 
profile="/usr/lib/firefox/firefox{,*[^s][^h]}" pid=12356 comm="plugin-containe" 
family="unix" sock_type="dgram" protocol=0 requested_mask="bind" 
denied_mask="bind" 
addr="@676F6F676C652D6E61636C2D6F316431323335362D33393100"

  $ aa-decode 
676F6F676C652D6E61636C2D6F316431323335362D33393100
  Decoded: google-nacl-o1d12356-391

  $ aa-decode 676F6F676C652D6E61636C2D6
  Decoded: google-nacl-`

  So I tried the following:
  unix bind type=dgram addr=@google-nacl*,
  unix bind type=dgram addr="@google-nacl*",
  unix bind type=dgram addr=@676F6F676C652D6E61636C2D6*,
  unix bind type=dgram addr="@676F6F676C652D6E61636C2D6*",
  unix bind type=dgram addr=@google-nacl*\\000*,
  unix bind type=dgram 
addr=@google-nacl*[0-9a-zA-Z]\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000\\000{,\\000,\\000\\000},

  
  but none of them match. The best I could do was:
  unix bind type=dgram,

  This is likely going to be important for snappy since snappy will have the 
concept of different coordinating snaps interacting via abstract sockets. What 
is interesting is that this seems to work ok for some things, eg:
  ./lightdm:  unix (bind, listen) type=stream 
addr="@/com/ubuntu/upstart-session/**",
  ./lightdm:  unix (bind, listen) type=stream addr="@/tmp/dbus-*",
  ./lightdm:  unix (bind, listen) type=stream addr="@/tmp/.ICE-unix/[0-9]*",
  ./lightdm:  unix (bind, listen) type=stream addr="@/dbus-vfs-daemon/*",
  ./lightdm:  unix (bind, listen) type=stream addr="@guest*",

  Is this something in how firefox is setting up the socket?

  To reproduce, enable the firefox profile, start firefox and try to
  attend a google hangout.

To manage notifications about this bug go to:
https://bugs.launchpad.net/apparmor/+bug/1413410/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1339932] Re: iptables -j LOG fails on 12.04 kernel 3.4.4-guest

2020-06-23 Thread Oibaf
Ubuntu 12.04 reached end of life. Do you still have this issue with a
newer version?

** Changed in: iptables (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to iptables in Ubuntu.
https://bugs.launchpad.net/bugs/1339932

Title:
  iptables -j LOG fails on 12.04 kernel 3.4.4-guest

Status in iptables package in Ubuntu:
  Incomplete

Bug description:
  iptables was working fine until I did an upgrade to a new kernel
  version.  Now it is impossible to load my firewall rules using
  iptables-restore.  The iptables-restore program croaks when trying to
  load the rules.

  While the error is reported on the line associated with the "COMMIT"
  statement, it appears that it is really failing when the "-j LOG"
  option is used.  If I eliminate the "-j LOG" option on statements, it
  seems to work normally (like it did before).

  When I run lsmod, there is no "xt_LOG" or "ipt_LOG" module present. I
  cannot find the "xt_LOG.ko" or "ipt_LOG.ko" file anyplace, so I cannot
  load them manually.

  Not sure if this is a kernel bug or an iptables bug, but since it
  makes it impossible to load my firewall rules and leaves my system
  wide open, it's definitely a security issue.

  Description:Ubuntu 12.04.4 LTS
  Release:12.04
  iptables:
Installed: 1.4.12-1ubuntu5
Candidate: 1.4.12-1ubuntu5
Version table:
   *** 1.4.12-1ubuntu5 0
  500 http://us.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 
Packages
  100 /var/lib/dpkg/status
   1.4.12-1ubuntu4 0
  500 http://us.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
  Kernel: 3.4.4-guest

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/iptables/+bug/1339932/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1877633] Re: libseccomp 2.4.3 (and 2.4.2) is not correctly resolving (at least) the getrlimit syscall on arm64

2020-06-23 Thread Dan Streetman
since the libseccomp uploads to b/e/x-proposed also have this bug marked
in their changelog, it's showing up in the pending srus page as not
verified yet for the x/b/e libseccomp uploads. As mentioned in the
description, the initial problem only occurred in focal, but just for
verification purposes:

eoan:

ubuntu@lp1877633-e:~$ dpkg -l |grep libseccomp
ii  libseccomp2:amd64  2.4.1-0ubuntu0.19.10.3  amd64
high level interface to Linux seccomp filter
ubuntu@lp1877633-e:~$ scmp_sys_resolver -a aarch64 getrlimit
163


ubuntu@lp1877633-e:~$ dpkg -l |grep seccomp
ii  libseccomp2:amd64  2.4.3-1ubuntu3.19.10.2amd64  
  high level interface to Linux seccomp filter
ii  seccomp2.4.3-1ubuntu3.19.10.2amd64  
  helper tools for high level interface to Linux seccomp filter
ubuntu@lp1877633-e:~$ scmp_sys_resolver -a aarch64 getrlimit
163


bionic:

ubuntu@lp1877633-b:~$ dpkg -l |grep seccomp
ii  libseccomp2:amd642.4.1-0ubuntu0.18.04.2 
 amd64high level interface to Linux seccomp filter
ii  seccomp  2.4.1-0ubuntu0.18.04.2 
 amd64helper tools for high level interface to Linux seccomp filter
ubuntu@lp1877633-b:~$ scmp_sys_resolver -a aarch64 getrlimit
163


ubuntu@lp1877633-b:~$ dpkg -l |grep seccomp
ii  libseccomp2:amd642.4.3-1ubuntu3.18.04.2 
 amd64high level interface to Linux seccomp filter
ii  seccomp  2.4.3-1ubuntu3.18.04.2 
 amd64helper tools for high level interface to Linux seccomp filter
ubuntu@lp1877633-b:~$ scmp_sys_resolver -a aarch64 getrlimit
163


xenial:

ubuntu@lp1877633-x:~$ dpkg -l|grep seccomp
ii  libseccomp2:amd642.4.1-0ubuntu0.16.04.2 
amd64high level interface to Linux seccomp filter
ii  seccomp  2.4.1-0ubuntu0.16.04.2 
amd64helper tools for high level interface to Linux seccomp filter
ubuntu@lp1877633-x:~$ scmp_sys_resolver -a aarch64 getrlimit
163


ubuntu@lp1877633-x:~$ dpkg -l|grep seccomp
ii  libseccomp2:amd642.4.3-1ubuntu3.16.04.2 
amd64high level interface to Linux seccomp filter
ii  seccomp  2.4.3-1ubuntu3.16.04.2 
amd64helper tools for high level interface to Linux seccomp filter
ubuntu@lp1877633-x:~$ scmp_sys_resolver -a aarch64 getrlimit
163


** Tags added: verification-done verification-done-bionic 
verification-done-eoan verification-done-xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libseccomp in Ubuntu.
https://bugs.launchpad.net/bugs/1877633

Title:
  libseccomp 2.4.3 (and 2.4.2) is not correctly resolving (at least) the
  getrlimit syscall on arm64

Status in libseccomp package in Ubuntu:
  Fix Released
Status in libseccomp source package in Focal:
  Fix Committed
Status in libseccomp source package in Groovy:
  Fix Released

Bug description:
  This was reported via the snapcraft forum[1]:

  On bionic amd64, libseccomp 2.4.1-0ubuntu0.18.04.2

  $ lsb_release -d
  Description:  Ubuntu 18.04.4 LTS
  $ scmp_sys_resolver -a aarch64 163
  getrlimit
  $ scmp_sys_resolver -a aarch64 getrlimit
  163

  focal amd64, libseccomp 2.4.3-1ubuntu1 -- *__BROKEN__*

  $ lsb_release -d
  Description:  Ubuntu 20.04 LTS
  $ scmp_sys_resolver -a aarch64 163
  UNKNOWN
  $ scmp_sys_resolver -a aarch64 getrlimit
  -10180

  [1]https://forum.snapcraft.io/t/getrlimit-blocked-by-seccomp-on-focal-
  arm64/17237/8

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libseccomp/+bug/1877633/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1638842] Re: network-manager does not manage ethernet and bluetooth interfaces when Ubuntu 16.10 is installed using chroot/netboot method

2020-06-23 Thread Rohit Vashisht
*** This bug is a duplicate of bug 1676547 ***
https://bugs.launchpad.net/bugs/1676547

I use debootstrap and chroot to install. Just migrated from Debian where
this issue doesn't exist on any branch. Installed Ubuntu 20.04 and the
bug is still there. I was able to fix it using the instructions given in
post #6.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1638842

Title:
  network-manager does not manage ethernet and bluetooth interfaces when
  Ubuntu 16.10 is installed using chroot/netboot method

Status in network-manager package in Ubuntu:
  Won't Fix

Bug description:
  Hello,

  I installed Ubuntu 16.10 using a chroot. I use network-manager to
  manage connections. My system is up-to-date (so I use network-manager
  1.2.4-0ubuntu1).

  Wifi works perfectly but I cannot connect to wired networks and using
  my phone's Bluetooth connection. Corresponding devices are said to be
  unmanaged by network-manager. nmcli dev outputs:

  DEVICETYPE  STATE CONNECTION 
  enp1s0ethernet  unmanaged -- 
  wlp2s0wifi  disconnected  --
  6C:9B:02:2C:EE:2C btunmanaged -- 
  hfp/org/bluez/hci0/dev_6C_9B_02_2C_EE_2C  gsm   unmanaged -- 
  loloopback  unmanaged -- 

  The following command has no effect:
  sudo nmcli dev set enp1s0 managed yes

  I can connect to a wired connection by doing:
  ifconfig enp1s0 up
  dhclient enp1s0

  There is nothing in the file /etc/network/interfaces.

  Everything works perfectly if I downgrade network-manager to this
  version: network-manager_1.2.2-0ubuntu0.16.04.3_amd64.deb
  (http://packages.ubuntu.com/xenial-updates/amd64/network-
  manager/download). I had to install libreadline6 and downgrade nplan
  to meet dependencies.

  I don't know what to join to this bug report so please ask in case
  anything is needed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1638842/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878517] Re: please apply bash 5.0 patch 17

2020-06-23 Thread Launchpad Bug Tracker
This bug was fixed in the package bash - 5.0-6ubuntu2

---
bash (5.0-6ubuntu2) groovy; urgency=medium

  * Apply upstream patches 017 (LP: #1878517)

 -- Matthieu Clemenceau   Thu, 18 Jun
2020 10:44:55 -0500

** Changed in: bash (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bash in Ubuntu.
https://bugs.launchpad.net/bugs/1878517

Title:
  please apply bash 5.0 patch 17

Status in bash package in Ubuntu:
  Fix Released
Status in bash source package in Focal:
  Confirmed

Bug description:
  I am using Ubuntu 20.04 for development and has hit a bug in bash 5.0
  patch 16.

  I can't reproduce it in pure bash, but with bats from
  https://github.com/bats-core/bats-core/ it is very easy to repro:

  ```
  # cat << EOF > ya.bats
  check() {
echo "check $@"
ls -l /proc/self/fd
  }

  @test "here file" {
check -p <(echo "hey")
false
  }
  EOF

  $ bats ya.bats
  ```

  Normally the output should contain the line

 lr-x-- 1 kir kir 64 May 14 02:01 63 -> pipe:[4616918]

  which is a result of a "here file" created by bash via <(echo "hey").

  In my testing, about 50% of runs don't have /dev/fd/63 listed.

  I found out this is a manifest of a bug introduced in bash 5.0 patch
  16 (see http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-016)

  The bug is fixed in 5.0 patch 17 (see
  http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-017).

  Please update bash to patchlevel 17.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bash/+bug/1878517/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884455] Re: pulseaudio creates /root/.config/pulse/ before zfs-mount.service can mount the /root dataset

2020-06-23 Thread Dumitru Sipos
I *never* logged in graphically as root. I also do not use the root account: at 
most some 'sudo' commands from time to time. In the previous comments I had the 
root shell because I wanted to show as easy as possible that the whole content 
of the '/root' is only one symbolic link 
(fe1417537ae0451abdb60c5df28fe825-runtime -> /tmp/pulse-PKdhtXMmr18n) in the 
.config/pulse.
And this link is created before the zfs-mount service has a chance to mount the 
'real' root folder.

OK, nevermind that, do you know any good way how to find out which process 
might be the culprit?
Is there some place where I can look? or some pulseaudio related debug config 
that I can enable somewhere to trace what happens during system startup?
Any hint or suggestion is greatly appreciated.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1884455

Title:
  pulseaudio creates /root/.config/pulse/ before zfs-mount.service can
  mount the /root dataset

Status in pulseaudio package in Ubuntu:
  Incomplete

Bug description:
  I use 'zfs' and have /root as its own dataset which is mounted during
  startup by 'zfs-mount.service'.

  At one of the latest upgrades, the 'zfsutils-linux' package failed to
  update because the service 'zfs-mount' service had an issue and could
  not mount the '/root' dataset because the '/root' directory was not
  empty (temporary solution was to rename /root and call 'zfs mount'
  again).

  Further investigation shows that everytime at startup, the /root
  directory is created before the 'zfs-mount.service' has a chance to
  mount the 'root' dataset.

  The culprit seems to be something pulseaudio related: the content of /root 
folder after startup is as follows:
  -
  root@minighost:~# tree -a /root
  .
  ├── .cache
  └── .config
  └── pulse
  └── fe1417537ae0451abdb60c5df28fe825-runtime -> 
/tmp/pulse-PKdhtXMmr18n

  4 directories, 0 files
  root@minighost:~#
  -  


  Extra details:

  - Ubuntu release:
  -
  root@minighost:~# lsb_release -rd
  Description:  Ubuntu 20.04 LTS
  Release:  20.04
  -

  
  - status of 'zfs-mount.service' is the following:
  -  
  root@minighost:~# systemctl status zfs-mount
  ● zfs-mount.service - Mount ZFS filesystems
   Loaded: loaded (/lib/systemd/system/zfs-mount.service; enabled; vendor 
preset: enabled)
   Active: failed (Result: exit-code) since Sun 2020-06-21 12:56:08 CEST; 
6h ago
 Docs: man:zfs(8)
  Process: 2062 ExecStart=/sbin/zfs mount -a (code=exited, status=1/FAILURE)
 Main PID: 2062 (code=exited, status=1/FAILURE)

  Jun 21 12:56:08 minighost systemd[1]: Starting Mount ZFS filesystems...
  Jun 21 12:56:08 minighost zfs[2062]: cannot mount '/root': directory is not 
empty
  Jun 21 12:56:08 minighost systemd[1]: zfs-mount.service: Main process exited, 
code=exited, status=1/FAILURE
  Jun 21 12:56:08 minighost systemd[1]: zfs-mount.service: Failed with result 
'exit-code'.
  Jun 21 12:56:08 minighost systemd[1]: Failed to start Mount ZFS filesystems.
  root@minighost:~#
  -  


  - software versions:
  -
  root@minighost:~# apt-cache policy pulseaudio
  pulseaudio:
Installed: 1:13.99.1-1ubuntu3.3
Candidate: 1:13.99.1-1ubuntu3.3
Version table:
   *** 1:13.99.1-1ubuntu3.3 500
  500 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages
  100 /var/lib/dpkg/status
   1:13.99.1-1ubuntu3.2 500
  500 http://security.ubuntu.com/ubuntu focal-security/main amd64 
Packages
   1:13.99.1-1ubuntu3 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages

  root@minighost:~# apt-cache policy zfsutils-linux
  zfsutils-linux:
Installed: 0.8.3-1ubuntu12.1
Candidate: 0.8.3-1ubuntu12.1
Version table:
   *** 0.8.3-1ubuntu12.1 500
  500 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages
  100 /var/lib/dpkg/status
   0.8.3-1ubuntu12 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
  -

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio 1:13.99.1-1ubuntu3.3
  ProcVersionSignature: Ubuntu 5.4.0-37.41-generic 5.4.41
  Uname: Linux 5.4.0-37-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  dumi   2419 F pulseaudio
  CasperMD5CheckResult: skip
  Date: Sun Jun 21 19:17:20 2020
  InstallationDate: Installed on 2018-09-08 (651 days ago)
  InstallationMedia: Ubuntu 18.04 "Bionic" - Build amd64 LIVE Binary 
20180608-09:38
  PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No 
PulseAudio daemon running, or not running as session daemon.
  

[Touch-packages] [Bug 1884221] Re: `ubuntu-bug` fails with "UnboundLocalError: local variable 'project' referenced before assignment"

2020-06-23 Thread Dan Watkins
I've also seen this while running `ubuntu-bug /var/crash/...`.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1884221

Title:
  `ubuntu-bug` fails with "UnboundLocalError: local variable 'project'
  referenced before assignment"

Status in apport package in Ubuntu:
  Confirmed

Bug description:
  I just tried to `ubuntu-bug ubiquity` on a groovy(20.10) qa-test
  install using Xubuntu, however `ubuntu-bug` abended with python
  errors.

  I tried to file this with `ubuntu-bug apport` & again errors (but
  scanning it looks identical)

  I'm filing this report on my primary box and will apport-collect after
  filing, plus copy/paste the details from the actual box.

  "UnboundLocalError: local variable 'project' referenced before
  assignment"

  xubuntu@xubuntu:~$ ubuntu-bug ubiquity
  Traceback (most recent call last):
File "/usr/share/apport/apport-gtk", line 597, in 
  app.run_argv()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 708, in run_argv
  return self.run_report_bug()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 549, in 
run_report_bug
  self.file_report()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 1396, in 
file_report
  url = self.crashdb.get_comment_url(self.report, ticket)
File "/usr/lib/python3/dist-packages/apport/crashdb_impl/launchpad.py", 
line 247, in get_comment_url
  if not project:
  UnboundLocalError: local variable 'project' referenced before assignment

  xubuntu@xubuntu:~$ ubuntu-bug apport
  Traceback (most recent call last):
File "/usr/share/apport/apport-gtk", line 597, in 
  app.run_argv()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 708, in run_argv
  return self.run_report_bug()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 549, in 
run_report_bug
  self.file_report()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 1396, in 
file_report
  url = self.crashdb.get_comment_url(self.report, ticket)
File "/usr/lib/python3/dist-packages/apport/crashdb_impl/launchpad.py", 
line 247, in get_comment_url
  if not project:
  UnboundLocalError: local variable 'project' referenced before assignment

  
  ---
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu40
  Architecture: amd64
  CasperMD5CheckResult: pass
  CasperVersion: 1.451
  CurrentDesktop: XFCE
  DistroRelease: Ubuntu 20.10
  LiveMediaBuild: Xubuntu 20.10 "Groovy Gorilla" - Alpha amd64 (20200619)
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  Package: apport 2.20.11-0ubuntu40
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 5.4.0-26.30-generic 5.4.30
  Tags:  groovy
  Uname: Linux 5.4.0-26-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
  _MarkForUpload: True

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1884221/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884221] Re: `ubuntu-bug` fails with "UnboundLocalError: local variable 'project' referenced before assignment"

2020-06-23 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: apport (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1884221

Title:
  `ubuntu-bug` fails with "UnboundLocalError: local variable 'project'
  referenced before assignment"

Status in apport package in Ubuntu:
  Confirmed

Bug description:
  I just tried to `ubuntu-bug ubiquity` on a groovy(20.10) qa-test
  install using Xubuntu, however `ubuntu-bug` abended with python
  errors.

  I tried to file this with `ubuntu-bug apport` & again errors (but
  scanning it looks identical)

  I'm filing this report on my primary box and will apport-collect after
  filing, plus copy/paste the details from the actual box.

  "UnboundLocalError: local variable 'project' referenced before
  assignment"

  xubuntu@xubuntu:~$ ubuntu-bug ubiquity
  Traceback (most recent call last):
File "/usr/share/apport/apport-gtk", line 597, in 
  app.run_argv()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 708, in run_argv
  return self.run_report_bug()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 549, in 
run_report_bug
  self.file_report()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 1396, in 
file_report
  url = self.crashdb.get_comment_url(self.report, ticket)
File "/usr/lib/python3/dist-packages/apport/crashdb_impl/launchpad.py", 
line 247, in get_comment_url
  if not project:
  UnboundLocalError: local variable 'project' referenced before assignment

  xubuntu@xubuntu:~$ ubuntu-bug apport
  Traceback (most recent call last):
File "/usr/share/apport/apport-gtk", line 597, in 
  app.run_argv()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 708, in run_argv
  return self.run_report_bug()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 549, in 
run_report_bug
  self.file_report()
File "/usr/lib/python3/dist-packages/apport/ui.py", line 1396, in 
file_report
  url = self.crashdb.get_comment_url(self.report, ticket)
File "/usr/lib/python3/dist-packages/apport/crashdb_impl/launchpad.py", 
line 247, in get_comment_url
  if not project:
  UnboundLocalError: local variable 'project' referenced before assignment

  
  ---
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu40
  Architecture: amd64
  CasperMD5CheckResult: pass
  CasperVersion: 1.451
  CurrentDesktop: XFCE
  DistroRelease: Ubuntu 20.10
  LiveMediaBuild: Xubuntu 20.10 "Groovy Gorilla" - Alpha amd64 (20200619)
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  Package: apport 2.20.11-0ubuntu40
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 5.4.0-26.30-generic 5.4.30
  Tags:  groovy
  Uname: Linux 5.4.0-26-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
  _MarkForUpload: True

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1884221/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884805] [NEW] The system doesn't power down

2020-06-23 Thread Emmanuel DA MOTA
Public bug reported:

step to reproduce is very simple

$poweroff

the desktop quits, the screen goes black but the computer never shutdown

last lines from journalctl are

juin 23 16:20:10 pc1 systemd[1]: Reached target Shutdown.
juin 23 16:20:10 pc1 systemd[1]: Reached target Final Step.
juin 23 16:20:10 pc1 systemd[1]: systemd-poweroff.service: Succeeded.
juin 23 16:20:10 pc1 systemd[1]: Finished Power-Off.
juin 23 16:20:10 pc1 systemd[1]: Reached target Power-Off.
juin 23 16:20:10 pc1 systemd[1]: Shutting down.
juin 23 16:20:10 pc1 systemd-shutdown[1]: Syncing filesystems and block devices.
juin 23 16:20:10 pc1 systemd-shutdown[1]: Sending SIGTERM to remaining 
processes...
juin 23 16:20:10 pc1 systemd-journald[407]: Journal stopped

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: systemd 245.4-4ubuntu3.1
ProcVersionSignature: Ubuntu 5.4.0-37.41-generic 5.4.41
Uname: Linux 5.4.0-37-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.11-0ubuntu27.3
Architecture: amd64
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOME
Date: Tue Jun 23 17:37:52 2020
InstallationDate: Installed on 2014-06-03 (2211 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
MachineType: Gigabyte Technology Co., Ltd. H61M-D2-B3
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-37-generic 
root=UUID=6081a4ec-8716-452d-98c2-c59ace5a96b7 ro quiet splash vt.handoff=7
SourcePackage: systemd
UpgradeStatus: Upgraded to focal on 2020-05-21 (32 days ago)
dmi.bios.date: 03/27/2012
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F10
dmi.board.name: H61M-D2-B3
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: 
dmi:bvnAwardSoftwareInternational,Inc.:bvrF10:bd03/27/2012:svnGigabyteTechnologyCo.,Ltd.:pnH61M-D2-B3:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnH61M-D2-B3:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: H61M-D2-B3
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

** Affects: systemd (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1884805

Title:
  The system doesn't power down

Status in systemd package in Ubuntu:
  New

Bug description:
  step to reproduce is very simple

  $poweroff

  the desktop quits, the screen goes black but the computer never
  shutdown

  last lines from journalctl are

  juin 23 16:20:10 pc1 systemd[1]: Reached target Shutdown.
  juin 23 16:20:10 pc1 systemd[1]: Reached target Final Step.
  juin 23 16:20:10 pc1 systemd[1]: systemd-poweroff.service: Succeeded.
  juin 23 16:20:10 pc1 systemd[1]: Finished Power-Off.
  juin 23 16:20:10 pc1 systemd[1]: Reached target Power-Off.
  juin 23 16:20:10 pc1 systemd[1]: Shutting down.
  juin 23 16:20:10 pc1 systemd-shutdown[1]: Syncing filesystems and block 
devices.
  juin 23 16:20:10 pc1 systemd-shutdown[1]: Sending SIGTERM to remaining 
processes...
  juin 23 16:20:10 pc1 systemd-journald[407]: Journal stopped

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: systemd 245.4-4ubuntu3.1
  ProcVersionSignature: Ubuntu 5.4.0-37.41-generic 5.4.41
  Uname: Linux 5.4.0-37-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Jun 23 17:37:52 2020
  InstallationDate: Installed on 2014-06-03 (2211 days ago)
  InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
  MachineType: Gigabyte Technology Co., Ltd. H61M-D2-B3
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-37-generic 
root=UUID=6081a4ec-8716-452d-98c2-c59ace5a96b7 ro quiet splash vt.handoff=7
  SourcePackage: systemd
  UpgradeStatus: Upgraded to focal on 2020-05-21 (32 days ago)
  dmi.bios.date: 03/27/2012
  dmi.bios.vendor: Award Software International, Inc.
  dmi.bios.version: F10
  dmi.board.name: H61M-D2-B3
  dmi.board.vendor: Gigabyte Technology Co., Ltd.
  dmi.board.version: x.x
  dmi.chassis.type: 3
  dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
  dmi.modalias: 
dmi:bvnAwardSoftwareInternational,Inc.:bvrF10:bd03/27/2012:svnGigabyteTechnologyCo.,Ltd.:pnH61M-D2-B3:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnH61M-D2-B3:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
  dmi.product.name: H61M-D2-B3
  dmi.sys.vendor: Gigabyte Technology Co., Ltd.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1884805/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884801] [NEW] SRU the current 2.56.1 stable update

2020-06-23 Thread Sebastien Bacher
Public bug reported:

* Impact
That's the current GNOME stable update, including some build and test fixes
https://gitlab.gnome.org/GNOME/glib-networking/-/blob/glib-2-56/NEWS

* Test case

The update is part of GNOME stable updates
https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

Check that the glib networking still works correctly by using epiphany
browser and visit some website and set up evolution to check an email
account

* Regression potential

The update is mostly intended to fix the autopkgtest that started
failing with gnults28 security updates, we are going to block in
proposed since there is no real change benefiting users

** Affects: glib-networking (Ubuntu)
 Importance: Low
 Status: Fix Released


** Tags: block-proposed-bionic

** Changed in: glib-networking (Ubuntu)
   Status: New => Fix Released

** Changed in: glib-networking (Ubuntu)
   Importance: Undecided => Low

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to glib-networking in Ubuntu.
https://bugs.launchpad.net/bugs/1884801

Title:
  SRU the current 2.56.1 stable update

Status in glib-networking package in Ubuntu:
  Fix Released

Bug description:
  * Impact
  That's the current GNOME stable update, including some build and test fixes
  https://gitlab.gnome.org/GNOME/glib-networking/-/blob/glib-2-56/NEWS

  * Test case

  The update is part of GNOME stable updates
  https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  Check that the glib networking still works correctly by using epiphany
  browser and visit some website and set up evolution to check an email
  account

  * Regression potential

  The update is mostly intended to fix the autopkgtest that started
  failing with gnults28 security updates, we are going to block in
  proposed since there is no real change benefiting users

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/glib-networking/+bug/1884801/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884682] Re: gtk_range_expose can set height/width < -1 when trough-under-steppers is enabled

2020-06-23 Thread Sebastien Bacher
Thank you for your bug report and patch, has that been submitted
upstream? If not could you do that and share the url?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+2.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1884682

Title:
  gtk_range_expose can set height/width < -1 when trough-under-steppers
  is enabled

Status in light-themes:
  New
Status in gtk+2.0 package in Ubuntu:
  New

Bug description:
  The root cause of https://github.com/mate-desktop/mate-themes/issues/57 and 
https://bugs.launchpad.net/ubuntu/+source/emacs23/+bug/538541 
(murrine_style_draw_box: assertion `height >= -1' failed) is gtk_range_expose 
not clamping height and width to a sane value if trough-under-steppers is 
enabled, the window is very small (like in init), and the theme has non-zero 
offsets.
  The attached patch should solve the problem (based on 2.24.32-1ubuntu1).

To manage notifications about this bug go to:
https://bugs.launchpad.net/light-themes/+bug/1884682/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861082] Re: [SRU] ubuntu-bug doesn't know how to file bugs against snaps

2020-06-23 Thread Lukas Märdian
** Description changed:

  [Impact]
  Users of Ubuntu 20.04 are not able to easily report bugs against applications 
provided as a snap.
  
  [Test Case]
  Install subiquity snap:
  # sudo snap install subiquity --classic
  subiquity 20.06.1 aus Canonical✓ installiert
  # snap list | grep subiquity
  subiquity   20.06.1  1938  latest/stable  canonical*  classic
- 
  
  ubuntu-bug subiquity results in message:
  # LANGUAGE="en_US" apport-cli subiquity
  
  *** Collecting problem information
  
  The collected information can be sent to the developers to improve the
  application. This might take a few minutes.
  ...dpkg-query: no packages found matching subiquity
  
  *** You are about to report a bug against the deb package, but you also
  a have snap published by canonical installed. You can contact them via
  https://bugs.launchpad.net/subiquity for help. Do you want to continue
  with the bug report against the deb?
  
- 
  What would you like to do? Your options are:
-   Y: Yes
-   N: No
-   C: Cancel
+   Y: Yes
+   N: No
+   C: Cancel
  
  === New/Expected Result ===
  ubuntu-bug  should ask the user if he/she wants to 
report the bug against the snap or deb package, if both are installed. If the 
snap is chosen, the "Snap" and "SnapSource" fields should be part of the report:
  
  # LANGUAGE="en_US" apport-cli subiquity
  
  *** Collecting problem information
  
  The collected information can be sent to the developers to improve the
  application. This might take a few minutes.
  ...dpkg-query: no packages found matching subiquity
  
  *** You have two versions of this application installed, which one do
  you want to report a bug against?
  
- 
  Choices:
-   1: subiquity 20.06.1 (stable) snap
-   2: subiquity (1938) deb package
-   C: Cancel
+   1: subiquity 20.06.1 (stable) snap
+   2: subiquity (1938) deb package
+   C: Cancel
  Please choose (1/2/C): 1
  .
  
  *** Send problem report to the developers?
  
  After the problem report has been sent, please fill out the form in the
  automatically opened web browser.
  
  What would you like to do? Your options are:
-   S: Send report (46.1 KB)
-   V: View report
-   K: Keep report file for sending later or copying to somewhere else
-   I: Cancel and ignore future crashes of this program version
-   C: Cancel
+   S: Send report (46.1 KB)
+   V: View report
+   K: Keep report file for sending later or copying to somewhere else
+   I: Cancel and ignore future crashes of this program version
+   C: Cancel
  Please choose (S/V/K/I/C): V
- 
  
  Make sure the following two fields are part of the generated report:
  == Snap =
  subiquity 20.06.1 (stable)
  
  == SnapSource =
  subiquity
  
- 
  [Regression Potential]
- Minimal; the change adds a new add_snap_info() method to report.py and is 
triggered in the ui.py logic only in cases which would have otherwise lead to 
an error message. Furthermore, the change has been uploaded to Groovy some 
while ago where it is being used and tested.
+ Small; the change adds a new add_snap_info() method to report.py and is 
triggered in the ui.py logic only in cases which would have otherwise lead to 
an error message. Furthermore, the change has been uploaded to Groovy some 
while ago where it is being used and tested.
  
  [Original Bug Report]
  Hello, I had problems with subiquity in the focal live server install image. 
I tried to use 'ubuntu-bug subiquity' to report the bug, but ubuntu-bug 
apparently cannot file bug reports against snaps.
  
  This is frustrating that users need to know which portions of Ubuntu are
  delivered via debs, which portions are delivered by snaps, and try to
  find a way to report bugs correctly.
  
  ubuntu-bug should know how to report bugs for Canonical software.
  
  Thanks

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1861082

Title:
  [SRU] ubuntu-bug doesn't know how to file bugs against snaps

Status in Snapcraft:
  New
Status in snapd:
  Triaged
Status in Snap Store Server:
  New
Status in apport package in Ubuntu:
  Fix Released
Status in apport source package in Focal:
  Triaged

Bug description:
  [Impact]
  Users of Ubuntu 20.04 are not able to easily report bugs against applications 
provided as a snap.

  [Test Case]
  Install subiquity snap:
  # sudo snap install subiquity --classic
  subiquity 20.06.1 aus Canonical✓ installiert
  # snap list | grep subiquity
  subiquity   20.06.1  1938  latest/stable  canonical*  classic

  ubuntu-bug subiquity results in message:
  # LANGUAGE="en_US" apport-cli subiquity

  *** Collecting problem information

  The collected information can be sent to the developers to improve the
  application. This might take a few minutes.
  ...dpkg-query: no packages found matching subiquity

  *** You are about to report a bug against the deb package, but 

[Touch-packages] [Bug 1884536] Re: Multiple-monitor Set Up Makes Mouse-pointer Jump About in 20.04

2020-06-23 Thread Charles Brittain
** Package changed: ubuntu => gpm (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gpm in Ubuntu.
https://bugs.launchpad.net/bugs/1884536

Title:
  Multiple-monitor Set Up Makes Mouse-pointer Jump About in 20.04

Status in gpm package in Ubuntu:
  New

Bug description:
  I have relatively recently loaded Ubuntu 20.04 to dual-boot on a
  Packard Bell with Windows 10 Home 64-bit already installed. The mouse-
  pointer moves and clicks perfectly when the PC has a single-monitor.
  However, for work as a developer, I should like to use a dual-monitor
  setup.

  The problem I have is, if I plug in to the PC tower a second monitor
  and follow the steps to Connect Another Monitor To My Computer
  (https://help.ubuntu.com/stable/ubuntu-help/display-dual-
  monitors.html), and after I confirm "join Display", the mouse-pointer
  jumps about and a second stationary mouse-pointer appears in the
  bottom right of my primary screen. This behaviour stops immediately I
  confirm "Single Display", but now the second screen is now turned
  blank.

  $ xinput
  ⎡ Virtual core pointer  id=2[master pointer  (3)]
  ⎜   ↳ Virtual core XTEST pointerid=4[slave  pointer  (2)]
  ⎜   ↳ USB Wired Keyboard Consumer Control   id=12   [slave  pointer  (2)]
  ⎜   ↳ PixArt USB Optical Mouse  id=13   [slave  pointer  (2)]
  ⎣ Virtual core keyboard id=3[master keyboard (2)]
  ↳ Virtual core XTEST keyboard   id=5[slave  keyboard (3)]
  ↳ Power Button  id=6[slave  keyboard (3)]
  ↳ Video Bus id=7[slave  keyboard (3)]
  ↳ Power Button  id=8[slave  keyboard (3)]
  ↳ Sleep Button  id=9[slave  keyboard (3)]
  ↳ USB Wired Keyboardid=10   [slave  keyboard (3)]
  ↳ USB Wired Keyboard System Control id=11   [slave  keyboard (3)]
  ↳ USB Wired Keyboard Consumer Control   id=14   [slave  keyboard (3)]

  $ sudo dmidecode -t 1
  # dmidecode 3.2
  Getting SMBIOS data from sysfs.
  SMBIOS 2.8 present.

  Handle 0x0001, DMI type 1, 27 bytes
  System Information
  Manufacturer: Packard Bell
  Product Name: iMedia S2984
  Version: 
  Serial Number: DTU96EK00360103D0F3000
  UUID: 84edd4a2-b457-11e5-9b1f-98eecb2ca5dd
  Wake-up Type: Power Switch
  SKU Number:  
  Family: Packard Bell Desktop

  $ lsb_release -a; uname -a; lsusb
  No LSB modules are available.
  Distributor ID: Ubuntu
  Description:Ubuntu 20.04 LTS
  Release:20.04
  Codename:   focal
  Linux charlesb2t-iMedia-S2984 5.4.0-37-generic #41-Ubuntu SMP Wed Jun 3 
18:57:02 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
  Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
  Bus 001 Device 004: ID 0bda:0153 Realtek Semiconductor Corp. 3-in-1 
(SD/SDHC/SDXC) Card Reader
  Bus 001 Device 003: ID 093a:2510 Pixart Imaging, Inc. Optical Mouse
  Bus 001 Device 002: ID 0461:4e6f Primax Electronics, Ltd Acer Wired Keyboard 
Model KBAY211
  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

  I am reporting this as a bug because I am unable to fix it and I have
  asked around, but no joy. I do need a dual-monitor set p for work.
  Currently, I can use Windows10 with dual-monitors, on the same
  machine, without a glitch.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gpm/+bug/1884536/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861082] Re: ubuntu-bug doesn't know how to file bugs against snaps

2020-06-23 Thread Lukas Märdian
** Description changed:

- Hello, I had problems with subiquity in the focal live server install
- image. I tried to use 'ubuntu-bug subiquity' to report the bug, but
- ubuntu-bug apparently cannot file bug reports against snaps.
+ [Impact]
+ Users of Ubuntu 20.04 are not able to easily report bugs against applications 
provided as a snap.
+ 
+ [Test Case]
+ Install subiquity snap:
+ # sudo snap install subiquity --classic
+ subiquity 20.06.1 aus Canonical✓ installiert
+ # snap list | grep subiquity
+ subiquity   20.06.1  1938  latest/stable  canonical*  classic
+ 
+ 
+ ubuntu-bug subiquity results in message:
+ # LANGUAGE="en_US" apport-cli subiquity
+ 
+ *** Collecting problem information
+ 
+ The collected information can be sent to the developers to improve the
+ application. This might take a few minutes.
+ ...dpkg-query: no packages found matching subiquity
+ 
+ *** You are about to report a bug against the deb package, but you also
+ a have snap published by canonical installed. You can contact them via
+ https://bugs.launchpad.net/subiquity for help. Do you want to continue
+ with the bug report against the deb?
+ 
+ 
+ What would you like to do? Your options are:
+   Y: Yes
+   N: No
+   C: Cancel
+ 
+ === New/Expected Result ===
+ ubuntu-bug  should ask the user if he/she wants to 
report the bug against the snap or deb package, if both are installed. If the 
snap is chosen, the "Snap" and "SnapSource" fields should be part of the report:
+ 
+ # LANGUAGE="en_US" apport-cli subiquity
+ 
+ *** Collecting problem information
+ 
+ The collected information can be sent to the developers to improve the
+ application. This might take a few minutes.
+ ...dpkg-query: no packages found matching subiquity
+ 
+ *** You have two versions of this application installed, which one do
+ you want to report a bug against?
+ 
+ 
+ Choices:
+   1: subiquity 20.06.1 (stable) snap
+   2: subiquity (1938) deb package
+   C: Cancel
+ Please choose (1/2/C): 1
+ .
+ 
+ *** Send problem report to the developers?
+ 
+ After the problem report has been sent, please fill out the form in the
+ automatically opened web browser.
+ 
+ What would you like to do? Your options are:
+   S: Send report (46.1 KB)
+   V: View report
+   K: Keep report file for sending later or copying to somewhere else
+   I: Cancel and ignore future crashes of this program version
+   C: Cancel
+ Please choose (S/V/K/I/C): V
+ 
+ 
+ Make sure the following two fields are part of the generated report:
+ == Snap =
+ subiquity 20.06.1 (stable)
+ 
+ == SnapSource =
+ subiquity
+ 
+ 
+ [Regression Potential]
+ Minimal; the change adds a new add_snap_info() method to report.py and is 
triggered in the ui.py logic only in cases which would have otherwise lead to 
an error message. Furthermore, the change has been uploaded to Groovy some 
while ago where it is being used and tested.
+ 
+ [Original Bug Report]
+ Hello, I had problems with subiquity in the focal live server install image. 
I tried to use 'ubuntu-bug subiquity' to report the bug, but ubuntu-bug 
apparently cannot file bug reports against snaps.
  
  This is frustrating that users need to know which portions of Ubuntu are
  delivered via debs, which portions are delivered by snaps, and try to
  find a way to report bugs correctly.
  
  ubuntu-bug should know how to report bugs for Canonical software.
  
  Thanks

** Summary changed:

- ubuntu-bug doesn't know how to file bugs against snaps
+ [SRU] ubuntu-bug doesn't know how to file bugs against snaps

** Branch linked: lp:~slyon/apport/apport-focal-snap-handling

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1861082

Title:
  [SRU] ubuntu-bug doesn't know how to file bugs against snaps

Status in Snapcraft:
  New
Status in snapd:
  Triaged
Status in Snap Store Server:
  New
Status in apport package in Ubuntu:
  Fix Released
Status in apport source package in Focal:
  Triaged

Bug description:
  [Impact]
  Users of Ubuntu 20.04 are not able to easily report bugs against applications 
provided as a snap.

  [Test Case]
  Install subiquity snap:
  # sudo snap install subiquity --classic
  subiquity 20.06.1 aus Canonical✓ installiert
  # snap list | grep subiquity
  subiquity   20.06.1  1938  latest/stable  canonical*  classic

  
  ubuntu-bug subiquity results in message:
  # LANGUAGE="en_US" apport-cli subiquity

  *** Collecting problem information

  The collected information can be sent to the developers to improve the
  application. This might take a few minutes.
  ...dpkg-query: no packages found matching subiquity

  *** You are about to report a bug against the deb package, but you
  also a have snap published by canonical installed. You can contact
  them via https://bugs.launchpad.net/subiquity for help. Do you want to
  continue with the bug report 

[Touch-packages] [Bug 1697375] Re: whoopsie's network-manager state querying is broken

2020-06-23 Thread Brian Murray
Could you provide some more details like the version of whoopsie and
network-manager you have installed? Additionally, following the test
case and providing the output of systemctl status whoopsie, as I did in
some of the comments, would be useful.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to whoopsie in Ubuntu.
https://bugs.launchpad.net/bugs/1697375

Title:
  whoopsie's network-manager state querying is broken

Status in whoopsie package in Ubuntu:
  Fix Released
Status in whoopsie source package in Xenial:
  Fix Released
Status in whoopsie source package in Zesty:
  Fix Released
Status in whoopsie source package in Artful:
  Fix Released

Bug description:
  [Impact]
  whoopsie's querying of network-manager's state is broken and this results in 
whoopsie only being able to detect if the system is on-line when network 
manager's state changes. Subsequently, if one manually restarts whoopsie then 
whoopsie will stay off-line until an n-m state change. This can result in 
crashes not being uploaded.  Additionally, whoopsie's systemd service file does 
not start after networking which is incorrect since it initially needs to query 
network-manager's state. (However, this ended up allowing crash reports to 
still be submitted because whoopsie would start first then the n-m's state 
would change and whoopsie would detect that.)

  [Test Case] (state detection failure)
  1) Manually restart the whoopsie service
  2) Observe the following two messages:
  "Jul 14 14:48:09 speedy whoopsie[14137]: [14:48:09] Could not get the Network 
Manager state:
  Jul 14 14:48:09 speedy whoopsie[14137]: [14:48:09] 
GDBus.Error:org.freedesktop.DBus.Error.InvalidArgs: No such property 'state'"

  with the version of network-manager from -proposed you will not see
  these messages when restarting whoopsie.

  [Test Case] (starting after network-manager0
  1) Boot your system
  2) Observe the following in syslog:
  "Jul 17 06:46:47 speedy whoopsie[1156]: [06:46:47] Could not get the Network 
Manager state:
  Jul 17 06:46:47 speedy whoopsie[1156]: [06:46:47] 
GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name 
org.freedesktop.NetworkManager was not provided by any .service files
  "

  with the version of network-manager in -proposed you will not see the
  "NetworkManager was not provided" messages.

  [Regression Potential]
  Its possible that systems that were not submitting crash reports suddenly 
will and that will use some network bandwidth and Error Tracker resources.

  - Original Description -
  
  On artful crash reports are not uploaded automatically (several .crash files 
in /var/crash and no corresponding upload or .uploaded files)

  ProblemType: BugDistroRelease: Ubuntu 17.10
  Package: whoopsie 0.2.56
  ProcVersionSignature: Ubuntu 4.10.0-22.24-generic 4.10.15
  Uname: Linux 4.10.0-22-generic x86_64
  ApportVersion: 2.20.5-0ubuntu4
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Mon Jun 12 09:39:29 2017
  InstallationDate: Installed on 2013-09-03 (1377 days ago)
  InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130902)
  ProcEnviron:
   TERM=screen-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=fr_FR.UTF-8
   SHELL=/bin/bash
  RelatedPackageVersions: apport-noui N/ASourcePackage: whoopsie
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/whoopsie/+bug/1697375/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884536] [NEW] Multiple-monitor Set Up Makes Mouse-pointer Jump About in 20.04

2020-06-23 Thread Launchpad Bug Tracker
You have been subscribed to a public bug:

I have relatively recently loaded Ubuntu 20.04 to dual-boot on a Packard
Bell with Windows 10 Home 64-bit already installed. The mouse-pointer
moves and clicks perfectly when the PC has a single-monitor. However,
for work as a developer, I should like to use a dual-monitor setup.

The problem I have is, if I plug in to the PC tower a second monitor and
follow the steps to Connect Another Monitor To My Computer
(https://help.ubuntu.com/stable/ubuntu-help/display-dual-monitors.html),
and after I confirm "join Display", the mouse-pointer jumps about and a
second stationary mouse-pointer appears in the bottom right of my
primary screen. This behaviour stops immediately I confirm "Single
Display", but now the second screen is now turned blank.

$ xinput
⎡ Virtual core pointer  id=2[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointerid=4[slave  pointer  (2)]
⎜   ↳ USB Wired Keyboard Consumer Control   id=12   [slave  pointer  (2)]
⎜   ↳ PixArt USB Optical Mouse  id=13   [slave  pointer  (2)]
⎣ Virtual core keyboard id=3[master keyboard (2)]
↳ Virtual core XTEST keyboard   id=5[slave  keyboard (3)]
↳ Power Button  id=6[slave  keyboard (3)]
↳ Video Bus id=7[slave  keyboard (3)]
↳ Power Button  id=8[slave  keyboard (3)]
↳ Sleep Button  id=9[slave  keyboard (3)]
↳ USB Wired Keyboardid=10   [slave  keyboard (3)]
↳ USB Wired Keyboard System Control id=11   [slave  keyboard (3)]
↳ USB Wired Keyboard Consumer Control   id=14   [slave  keyboard (3)]

$ sudo dmidecode -t 1
# dmidecode 3.2
Getting SMBIOS data from sysfs.
SMBIOS 2.8 present.

Handle 0x0001, DMI type 1, 27 bytes
System Information
Manufacturer: Packard Bell
Product Name: iMedia S2984
Version: 
Serial Number: DTU96EK00360103D0F3000
UUID: 84edd4a2-b457-11e5-9b1f-98eecb2ca5dd
Wake-up Type: Power Switch
SKU Number:  
Family: Packard Bell Desktop

$ lsb_release -a; uname -a; lsusb
No LSB modules are available.
Distributor ID: Ubuntu
Description:Ubuntu 20.04 LTS
Release:20.04
Codename:   focal
Linux charlesb2t-iMedia-S2984 5.4.0-37-generic #41-Ubuntu SMP Wed Jun 3 
18:57:02 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 004: ID 0bda:0153 Realtek Semiconductor Corp. 3-in-1 
(SD/SDHC/SDXC) Card Reader
Bus 001 Device 003: ID 093a:2510 Pixart Imaging, Inc. Optical Mouse
Bus 001 Device 002: ID 0461:4e6f Primax Electronics, Ltd Acer Wired Keyboard 
Model KBAY211
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

I am reporting this as a bug because I am unable to fix it and I have
asked around, but no joy. I do need a dual-monitor set p for work.
Currently, I can use Windows10 with dual-monitors, on the same machine,
without a glitch.

** Affects: gpm (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: bot-comment
-- 
Multiple-monitor Set Up Makes Mouse-pointer Jump About in 20.04
https://bugs.launchpad.net/bugs/1884536
You received this bug notification because you are a member of Ubuntu Touch 
seeded packages, which is subscribed to gpm in Ubuntu.

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884101] Re: [SRU] jackdbus produces high cpu load

2020-06-23 Thread Sebastien Bacher
Oh, I see it's in the review queue so I'm going to set as fix commited
and reassign

** Changed in: jackd2 (Ubuntu Focal)
 Assignee: (unassigned) => Erich Eickmeyer (eeickmeyer)

** Changed in: jackd2 (Ubuntu Focal)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to jackd2 in Ubuntu.
https://bugs.launchpad.net/bugs/1884101

Title:
  [SRU] jackdbus produces high cpu load

Status in jackd2 package in Ubuntu:
  Fix Released
Status in jackd2 source package in Focal:
  Fix Committed
Status in jackd2 source package in Groovy:
  Fix Released

Bug description:
  [Impact]

   * Users have reported issues with high CPU load when running jackd and 
 jackdbus, causing system slowdowns

   * This newer version was backported into the Ubuntu Studio Backports PPA 
 and has shown to have success in fixing this issue.

  [Test Case]

   * Attempt to run jackd and jackdbus, jackd tends to take 100% per CPU

   * Killing jackd and jackdbus reduces CPU down to nominal levels

   * Version in Ubuntu Studio Backports PPA does not have this issue,
  same version exists in Ubuntu Groovy Gorilla.

  [Regression Potential]

   * Since jackd is used by multiple professional audio applications and
  therefore there could be potential negative impact on those
  applicaitons.

   * Although that regression potential exists, multiple users have
  reported great success when using the newer version.

  [Other Info]
   
   * Although not a "bug" per se, upstream developer lamented the fact that the 
version in 20.04 is so far behind. 

   * Most audio applications and plugins in Ubuntu 20.04 have been
  developed with this version of Jackd in mind.

  
  Original bug report:

  
  if jackd and jackdbus run, jackd and/or jackdbus produce high cpu load. jackd 
tends to take all availabl CPU power bringing the system to slow down 
remarkably. Killing jackd and jackdbus frees cpu and system load drops from 
100%/per CPU down to ~4% overall.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio-module-jack 1:13.99.1-1ubuntu3.3
  ProcVersionSignature: Ubuntu 5.4.0-37.41-generic 5.4.41
  Uname: Linux 5.4.0-37-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  sct-muc1800 F pulseaudio
   /dev/snd/pcmC0D0c:   sct-muc1800 F...m pulseaudio
   /dev/snd/pcmC0D0p:   sct-muc1800 F...m pulseaudio
   /dev/snd/timer:  sct-muc1800 f pulseaudio
  CasperMD5CheckResult: skip
  Date: Thu Jun 18 18:08:25 2020
  InstallationDate: Installed on 2019-09-09 (282 days ago)
  InstallationMedia: Xubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  ProcEnviron:
   LANGUAGE=de_DE
   TERM=screen
   PATH=(custom, no user)
   LANG=de_DE.UTF-8
   SHELL=/bin/bash
  PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No 
PulseAudio daemon running, or not running as session daemon.
  SourcePackage: pulseaudio
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 02/27/2020
  dmi.bios.vendor: Phoenix Technologies LTD
  dmi.bios.version: 6.00
  dmi.board.name: 440BX Desktop Reference Platform
  dmi.board.vendor: Intel Corporation
  dmi.board.version: None
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 1
  dmi.chassis.vendor: No Enclosure
  dmi.chassis.version: N/A
  dmi.modalias: 
dmi:bvnPhoenixTechnologiesLTD:bvr6.00:bd02/27/2020:svnVMware,Inc.:pnVMwareVirtualPlatform:pvrNone:rvnIntelCorporation:rn440BXDesktopReferencePlatform:rvrNone:cvnNoEnclosure:ct1:cvrN/A:
  dmi.product.name: VMware Virtual Platform
  dmi.product.version: None
  dmi.sys.vendor: VMware, Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/jackd2/+bug/1884101/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1865226] Re: gdm-smartcard pam config needs to be updated for Ubuntu and installed

2020-06-23 Thread Steve Langasek
Dimitri, why is a bug task opened on pam? The description doesn't point
to this being a pam bug.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1865226

Title:
  gdm-smartcard pam config needs to be updated for Ubuntu and installed

Status in gdm:
  New
Status in gdm3 package in Ubuntu:
  Confirmed
Status in pam package in Ubuntu:
  New

Bug description:
  the pam profile for gdm-smartcard is missing. gdm refuses to login
  with a smartcard. Looking at ubuntu/+source/gdm3, other pam files are
  pregenerated into debian/ and installed from there; gdm-smartcard is
  left out.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: gdm3 3.28.3-0ubuntu18.04.4
  ProcVersionSignature: Ubuntu 5.3.0-24.26~18.04.2-generic 5.3.10
  Uname: Linux 5.3.0-24-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair nvidia_modeset 
nvidia
  ApportVersion: 2.20.9-0ubuntu7.11
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Feb 28 14:30:30 2020
  InstallationDate: Installed on 2016-05-23 (1376 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  SourcePackage: gdm3
  UpgradeStatus: No upgrade log present (probably fresh install)
  mtime.conffile..etc.gdm3.Xsession: 2018-04-27T11:41:04.766901

To manage notifications about this bug go to:
https://bugs.launchpad.net/gdm/+bug/1865226/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1881699] Re: No analog output

2020-06-23 Thread Sebastien Bacher
@jibel said he would test the newest pulseaudio to see if that fix his
issue

** Changed in: pulseaudio (Ubuntu)
 Assignee: (unassigned) => Jean-Baptiste Lallement (jibel)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1881699

Title:
  No analog output

Status in linux package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  After a fresh boot and login, there is no analog output. Only HDMI and 
bluetooth are available.
  It becomes available when I kill pulseaudio with 'pulseaudio -k' but the 
sound indicator only shows 'dummy' output and I cannot control the output from 
the sound settings or the sound indicator.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.10
  Package: pulseaudio 1:13.99.1-1ubuntu3
  ProcVersionSignature: Ubuntu 5.4.0-26.30-generic 5.4.30
  Uname: Linux 5.4.0-26-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.11-0ubuntu36
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  j-lallement  184080 F pulseaudio
   /dev/snd/controlC1:  j-lallement  184080 F pulseaudio
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Jun  2 06:32:09 2020
  InstallationDate: Installed on 2020-05-31 (1 days ago)
  InstallationMedia: Ubuntu 20.10 "Groovy Gorilla" - Alpha amd64 (20200527)
  SourcePackage: pulseaudio
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 10/21/2019
  dmi.bios.vendor: Intel Corp.
  dmi.bios.version: FNCML357.0032.2019.1021.1624
  dmi.board.asset.tag: Default string
  dmi.board.name: NUC10i7FNB
  dmi.board.vendor: Intel Corporation
  dmi.board.version: K61360-302
  dmi.chassis.asset.tag: Default string
  dmi.chassis.type: 35
  dmi.chassis.vendor: Intel Corporation
  dmi.chassis.version: 2.0
  dmi.modalias: 
dmi:bvnIntelCorp.:bvrFNCML357.0032.2019.1021.1624:bd10/21/2019:svnIntel(R)ClientSystems:pnNUC10i7FNH:pvrK61081-302:rvnIntelCorporation:rnNUC10i7FNB:rvrK61360-302:cvnIntelCorporation:ct35:cvr2.0:
  dmi.product.family: FN
  dmi.product.name: NUC10i7FNH
  dmi.product.sku: BXNUC10i7FNH
  dmi.product.version: K61081-302
  dmi.sys.vendor: Intel(R) Client Systems
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu36
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC1:  j-lallement   3669 F pulseaudio
   /dev/snd/controlC0:  j-lallement   3669 F pulseaudio
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 20.10
  InstallationDate: Installed on 2020-05-31 (1 days ago)
  InstallationMedia: Ubuntu 20.10 "Groovy Gorilla" - Alpha amd64 (20200527)
  MachineType: Intel(R) Client Systems NUC10i7FNH
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  Package: pulseaudio 1:13.99.1-1ubuntu3
  PackageArchitecture: amd64
  ProcFB: 0 i915drmfb
  ProcKernelCmdLine: BOOT_IMAGE=/BOOT/ubuntu_huyn9u@/vmlinuz-5.4.0-26-generic 
root=ZFS=rpool/ROOT/ubuntu_huyn9u ro snd-intel-dspcfg.dsp_driver=1
  ProcVersionSignature: Ubuntu 5.4.0-26.30-generic 5.4.30
  RelatedPackageVersions:
   linux-restricted-modules-5.4.0-26-generic N/A
   linux-backports-modules-5.4.0-26-generic  N/A
   linux-firmware1.187
  Tags:  groovy
  Uname: Linux 5.4.0-26-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip libvirt lpadmin lxd plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 10/21/2019
  dmi.bios.vendor: Intel Corp.
  dmi.bios.version: FNCML357.0032.2019.1021.1624
  dmi.board.asset.tag: Default string
  dmi.board.name: NUC10i7FNB
  dmi.board.vendor: Intel Corporation
  dmi.board.version: K61360-302
  dmi.chassis.asset.tag: Default string
  dmi.chassis.type: 35
  dmi.chassis.vendor: Intel Corporation
  dmi.chassis.version: 2.0
  dmi.modalias: 
dmi:bvnIntelCorp.:bvrFNCML357.0032.2019.1021.1624:bd10/21/2019:svnIntel(R)ClientSystems:pnNUC10i7FNH:pvrK61081-302:rvnIntelCorporation:rnNUC10i7FNB:rvrK61360-302:cvnIntelCorporation:ct35:cvr2.0:
  dmi.product.family: FN
  dmi.product.name: NUC10i7FNH
  dmi.product.sku: BXNUC10i7FNH
  dmi.product.version: K61081-302
  dmi.sys.vendor: Intel(R) Client Systems

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1881699/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884101] Re: [SRU] jackdbus produces high cpu load

2020-06-23 Thread Sebastien Bacher
Erich, you unassigned yourself, do you plan to work on that fix for
focal?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to jackd2 in Ubuntu.
https://bugs.launchpad.net/bugs/1884101

Title:
  [SRU] jackdbus produces high cpu load

Status in jackd2 package in Ubuntu:
  Fix Released
Status in jackd2 source package in Focal:
  In Progress
Status in jackd2 source package in Groovy:
  Fix Released

Bug description:
  [Impact]

   * Users have reported issues with high CPU load when running jackd and 
 jackdbus, causing system slowdowns

   * This newer version was backported into the Ubuntu Studio Backports PPA 
 and has shown to have success in fixing this issue.

  [Test Case]

   * Attempt to run jackd and jackdbus, jackd tends to take 100% per CPU

   * Killing jackd and jackdbus reduces CPU down to nominal levels

   * Version in Ubuntu Studio Backports PPA does not have this issue,
  same version exists in Ubuntu Groovy Gorilla.

  [Regression Potential]

   * Since jackd is used by multiple professional audio applications and
  therefore there could be potential negative impact on those
  applicaitons.

   * Although that regression potential exists, multiple users have
  reported great success when using the newer version.

  [Other Info]
   
   * Although not a "bug" per se, upstream developer lamented the fact that the 
version in 20.04 is so far behind. 

   * Most audio applications and plugins in Ubuntu 20.04 have been
  developed with this version of Jackd in mind.

  
  Original bug report:

  
  if jackd and jackdbus run, jackd and/or jackdbus produce high cpu load. jackd 
tends to take all availabl CPU power bringing the system to slow down 
remarkably. Killing jackd and jackdbus frees cpu and system load drops from 
100%/per CPU down to ~4% overall.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio-module-jack 1:13.99.1-1ubuntu3.3
  ProcVersionSignature: Ubuntu 5.4.0-37.41-generic 5.4.41
  Uname: Linux 5.4.0-37-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  sct-muc1800 F pulseaudio
   /dev/snd/pcmC0D0c:   sct-muc1800 F...m pulseaudio
   /dev/snd/pcmC0D0p:   sct-muc1800 F...m pulseaudio
   /dev/snd/timer:  sct-muc1800 f pulseaudio
  CasperMD5CheckResult: skip
  Date: Thu Jun 18 18:08:25 2020
  InstallationDate: Installed on 2019-09-09 (282 days ago)
  InstallationMedia: Xubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  ProcEnviron:
   LANGUAGE=de_DE
   TERM=screen
   PATH=(custom, no user)
   LANG=de_DE.UTF-8
   SHELL=/bin/bash
  PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No 
PulseAudio daemon running, or not running as session daemon.
  SourcePackage: pulseaudio
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 02/27/2020
  dmi.bios.vendor: Phoenix Technologies LTD
  dmi.bios.version: 6.00
  dmi.board.name: 440BX Desktop Reference Platform
  dmi.board.vendor: Intel Corporation
  dmi.board.version: None
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 1
  dmi.chassis.vendor: No Enclosure
  dmi.chassis.version: N/A
  dmi.modalias: 
dmi:bvnPhoenixTechnologiesLTD:bvr6.00:bd02/27/2020:svnVMware,Inc.:pnVMwareVirtualPlatform:pvrNone:rvnIntelCorporation:rn440BXDesktopReferencePlatform:rvrNone:cvnNoEnclosure:ct1:cvrN/A:
  dmi.product.name: VMware Virtual Platform
  dmi.product.version: None
  dmi.sys.vendor: VMware, Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/jackd2/+bug/1884101/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861082] Re: ubuntu-bug doesn't know how to file bugs against snaps

2020-06-23 Thread Lukas Märdian
** Changed in: apport (Ubuntu Focal)
 Assignee: (unassigned) => Lukas Märdian (slyon)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1861082

Title:
  ubuntu-bug doesn't know how to file bugs against snaps

Status in Snapcraft:
  New
Status in snapd:
  Triaged
Status in Snap Store Server:
  New
Status in apport package in Ubuntu:
  Fix Released
Status in apport source package in Focal:
  Triaged

Bug description:
  Hello, I had problems with subiquity in the focal live server install
  image. I tried to use 'ubuntu-bug subiquity' to report the bug, but
  ubuntu-bug apparently cannot file bug reports against snaps.

  This is frustrating that users need to know which portions of Ubuntu
  are delivered via debs, which portions are delivered by snaps, and try
  to find a way to report bugs correctly.

  ubuntu-bug should know how to report bugs for Canonical software.

  Thanks

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapcraft/+bug/1861082/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883495] Re: package openssh-server 1:7.2p2-4ubuntu2.8 [modified: usr/lib/tmpfiles.d/sshd.conf] failed to install/upgrade: Unterprozess installiertes post-installation-Skript gab

2020-06-23 Thread Lucas Kanashiro
Thank you for taking the time to file a bug report.

Checking the logs I noticed there is a bad configuration option:

/etc/ssh/sshd_config: line 111: Bad configuration option: sudo

Could you please share what you have changed in your sshd_config file? I
set up a brand new Xenial conatainer with openssh installed and there is
no occurrence of 'sudo' in /etc/ssh/sshd_config.

Since it seems likely to me that this is a local configuration problem,
rather than a bug in Ubuntu, I am marking this bug as 'Incomplete'.

However, if you believe that this is really a bug in Ubuntu, then we would
be grateful if you would provide a more complete description of the problem
with steps to reproduce, explain why you believe this is a bug in Ubuntu
rather than a problem specific to your system, and then change the bug
status back to "New".

For local configuration issues, you can find assistance here:
http://www.ubuntu.com/support/community

** Changed in: openssh (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1883495

Title:
  package openssh-server 1:7.2p2-4ubuntu2.8 [modified:
  usr/lib/tmpfiles.d/sshd.conf] failed to install/upgrade: Unterprozess
  installiertes post-installation-Skript gab den Fehlerwert 1 zurück

Status in openssh package in Ubuntu:
  Incomplete

Bug description:
  since months 0penssh can not be installed - not at all tried many
  times - tried to deinstall using terminal reinstall - no way -
  something totally broken

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: openssh-server 1:7.2p2-4ubuntu2.8 [modified: 
usr/lib/tmpfiles.d/sshd.conf]
  ProcVersionSignature: Ubuntu 4.4.0-179.209-generic 4.4.219
  Uname: Linux 4.4.0-179-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.23
  AptOrdering:
   libwinpr-pool0.1: Install
   openssh-server: Configure
   libwinpr-pool0.1: Configure
   NULL: ConfigurePending
  Architecture: amd64
  Date: Mon Jun 15 06:19:25 2020
  ErrorMessage: Unterprozess installiertes post-installation-Skript gab den 
Fehlerwert 1 zurück
  InstallationDate: Installed on 2016-10-13 (1340 days ago)
  InstallationMedia: Ubuntu-MATE 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.6
   apt  1.2.32ubuntu0.1
  SSHDConfig:
   Error: command ['/usr/sbin/sshd', '-T'] failed with exit code 255: 
/etc/ssh/sshd_config: line 111: Bad configuration option: sudo
   /etc/ssh/sshd_config: terminating, 1 bad configuration options
  SourcePackage: openssh
  Title: package openssh-server 1:7.2p2-4ubuntu2.8 [modified: 
usr/lib/tmpfiles.d/sshd.conf] failed to install/upgrade: Unterprozess 
installiertes post-installation-Skript gab den Fehlerwert 1 zurück
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1883495/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883670] Re: Disable IEC958 on HP Thunderbolt Dock

2020-06-23 Thread Sebastien Bacher
> The following regressions have been reported in tests triggered by the
package:

> asterisk/1:16.2.1~dfsg-2ubuntu1 (armhf)

it was a transient issue and a retry worked

** Tags removed: verification-needed
** Tags added: verification-done

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-lib in Ubuntu.
https://bugs.launchpad.net/bugs/1883670

Title:
  Disable IEC958 on HP Thunderbolt Dock

Status in HWE Next:
  New
Status in OEM Priority Project:
  Confirmed
Status in alsa-lib package in Ubuntu:
  Fix Released
Status in alsa-lib source package in Focal:
  Fix Committed
Status in alsa-lib source package in Groovy:
  Fix Released

Bug description:
  [Impact]
  On HP Thunderbolt Dock, unusable SPDIF can be selected as output from 
PulseAudio.

  [Fix]
  Disable IEC958 (SPDIF) through ALSA UCM.

  [Test]
  With the UCM applied, `pactl` and audio panel in gnome-control-center no 
longer have SPDIF option.

  [Regression Potential]
  Low. This fix limits to the HP Thunderbolt Dock, other devices are unaffected.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1883670/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1854403] Re: Need updated libimobiledevice and dependencies to access iOS 13 devices

2020-06-23 Thread Sebastien Bacher
So I've checked with the Debian maintainer, the package needs to build
with gnutls for licensing reasons, specific in https://alioth-
lists.debian.net/pipermail/pkg-gtkpod-devel/2020-June/004615.html , we
are going to fix the gnutls backend if we want that issue resolved

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libimobiledevice in
Ubuntu.
https://bugs.launchpad.net/bugs/1854403

Title:
  Need updated libimobiledevice and dependencies to access iOS 13
  devices

Status in libimobiledevice package in Ubuntu:
  Fix Released
Status in libplist package in Ubuntu:
  Fix Released
Status in libusbmuxd package in Ubuntu:
  Fix Released
Status in usbmuxd package in Ubuntu:
  Confirmed

Bug description:
  iOS 13 devices require updated libimobiledevice, libusbmuxd and
  usbmuxd to work correctly. Without the updates, the device appears to
  be accessible but it's impossible to copy files to the devices.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libimobiledevice/+bug/1854403/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1865226] Re: gdm3 fails to install /etc/pam.d/gdm-smartcard

2020-06-23 Thread Sebastien Bacher
comment from one of the Debian pkg-gnome maintainer

'the upstream gdm pam rules are not working out of the box due to nss
not installing the NSSDB in /etc/pki/nssdb/ (which I think is a
Fedoraism)'

** Summary changed:

- gdm3 fails to install /etc/pam.d/gdm-smartcard
+ gdm-smartcard pam config needs to be updated for Ubuntu and installed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1865226

Title:
  gdm-smartcard pam config needs to be updated for Ubuntu and installed

Status in gdm:
  New
Status in gdm3 package in Ubuntu:
  Confirmed
Status in pam package in Ubuntu:
  New

Bug description:
  the pam profile for gdm-smartcard is missing. gdm refuses to login
  with a smartcard. Looking at ubuntu/+source/gdm3, other pam files are
  pregenerated into debian/ and installed from there; gdm-smartcard is
  left out.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: gdm3 3.28.3-0ubuntu18.04.4
  ProcVersionSignature: Ubuntu 5.3.0-24.26~18.04.2-generic 5.3.10
  Uname: Linux 5.3.0-24-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair nvidia_modeset 
nvidia
  ApportVersion: 2.20.9-0ubuntu7.11
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Feb 28 14:30:30 2020
  InstallationDate: Installed on 2016-05-23 (1376 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  SourcePackage: gdm3
  UpgradeStatus: No upgrade log present (probably fresh install)
  mtime.conffile..etc.gdm3.Xsession: 2018-04-27T11:41:04.766901

To manage notifications about this bug go to:
https://bugs.launchpad.net/gdm/+bug/1865226/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883027] Re: dump_acpi_tables.py: fix incorrect output and change format

2020-06-23 Thread Anthony Wong
** Tags added: rls-ff-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1883027

Title:
  dump_acpi_tables.py: fix incorrect output and change format

Status in Apport:
  Confirmed
Status in apport package in Ubuntu:
  Confirmed
Status in apport source package in Focal:
  Confirmed
Status in apport source package in Groovy:
  Confirmed

Bug description:
  dump_acpi_tables.py generates log files that is similar as the output
  from "acpidump" in acpica-tools. The output can be passed to other
  utilities in acpica-tools and fwts.

  It, however, has some subtle differences and some errors.

  Summary:

  1. ACPI tables have 4-char signatures - meaning SSDT's are SSDT, not
  SSDT1, SSDT2 and so on. Each table is unique by its table ID.

  Original:
    SSDT1, SSDT2, SSDT3 ...

  Changed:
    SSDT, SSDT, SSDT ...

  2. (Minor) acpidump outputs are all in upper cases

  3. (Minor) acpidump offset are aligned by data, not address

  Original:
    FFF0: 53 41 56 43 52 44 43 41 4E 43 52 4E 72 4E 50 4D  SAVCRDCANCRNrNPM
    1: 56 0A 04 00 0C FC FF FF FF 0A 03 0A 03 52 44 43  VRDC

  Changed:
  FFF0: 53 41 56 43 52 44 43 41 4E 43 52 4E 72 4E 50 4D  SAVCRDCANCRNrNPM
     1: 56 0A 04 00 0C FC FF FF FF 0A 03 0A 03 52 44 43  VRDC

  4. (Bug) dump_acpi_tables.py generates an extra line when data sizes
  are multiple of 16 bytes

  Original:
  05F0: 30 30 0B 00 08 00 A4 48 50 53 44 A4 53 50 53 44  00.HPSD.SPSD
  05F0: 30 30 0B 00 08 00 A4 48 50 53 44 A4 53 50 53 44 
 00.HPSD.SPSD

  Corrected:
  05F0: 30 30 0B 00 08 00 A4 48 50 53 44 A4 53 50 53 44  00.HPSD.SPSD

  5. (Bug) dump_acpi_tables.py misses an line when data sizes are
  multiple of 15 bytes

  Original:
  07E0: 42 0A 87 5C 2F 03 5F 53 42 5F 55 42 54 43 43 43  B..\/._SB_UBTCCC

  Corrected:
  07E0: 42 0A 87 5C 2F 03 5F 53 42 5F 55 42 54 43 43 43  B..\/._SB_UBTCCC
  07F0: 49 33 86 5C 2E 5F 53 42 5F 55 42 54 43 0A 80 I3.\._SB_UBTC..

To manage notifications about this bug go to:
https://bugs.launchpad.net/apport/+bug/1883027/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884732] [NEW] Xorg freeze

2020-06-23 Thread Adnan Quaium
Public bug reported:

The screen freezes every now and then.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xorg 1:7.7+19ubuntu14
ProcVersionSignature: Ubuntu 5.4.0-38.42-generic 5.4.44
Uname: Linux 5.4.0-38-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.3
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Tue Jun 23 15:36:58 2020
DistUpgraded: 2020-06-23 14:24:21,927 DEBUG Running PostInstallScript: 
'./xorg_fix_proprietary.py'
DistroCodename: focal
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation HD Graphics 5500 [8086:1616] (rev 09) (prog-if 00 [VGA 
controller])
   Subsystem: Hewlett-Packard Company HD Graphics 5500 [103c:802d]
InstallationDate: Installed on 2020-04-25 (58 days ago)
InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
MachineType: Hewlett-Packard HP Spectre Pro x360 G1
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-38-generic 
root=UUID=079528a8-d4db-4fc9-b519-73521b170d15 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
Title: Xorg freeze
UpgradeStatus: Upgraded to focal on 2020-06-23 (0 days ago)
dmi.bios.date: 12/17/2015
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: F.30
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 802D
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 58.51
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrF.30:bd12/17/2015:svnHewlett-Packard:pnHPSpectreProx360G1:pvr:rvnHewlett-Packard:rn802D:rvr58.51:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.family: 103C_5336AN G=N L=CON B=HP S=SPT
dmi.product.name: HP Spectre Pro x360 G1
dmi.product.sku: P7Q68PA#ABG
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.102+git2006181830.f44908~oibaf~f
version.libgl1-mesa-dri: libgl1-mesa-dri 20.2~git2006230730.3fec2f~oibaf~f
version.libgl1-mesa-glx: libgl1-mesa-glx 20.2~git2006230730.3fec2f~oibaf~f
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug false-gpu-hang focal freeze third-party-packages 
ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1884732

Title:
  Xorg freeze

Status in xorg package in Ubuntu:
  New

Bug description:
  The screen freezes every now and then.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-38.42-generic 5.4.44
  Uname: Linux 5.4.0-38-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Jun 23 15:36:58 2020
  DistUpgraded: 2020-06-23 14:24:21,927 DEBUG Running PostInstallScript: 
'./xorg_fix_proprietary.py'
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Intel Corporation HD Graphics 5500 [8086:1616] (rev 09) (prog-if 00 [VGA 
controller])
 Subsystem: Hewlett-Packard Company HD Graphics 5500 [103c:802d]
  InstallationDate: Installed on 2020-04-25 (58 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
  MachineType: Hewlett-Packard HP Spectre Pro x360 G1
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-38-generic 
root=UUID=079528a8-d4db-4fc9-b519-73521b170d15 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  Title: Xorg freeze
  UpgradeStatus: Upgraded to focal on 2020-06-23 (0 days ago)
  dmi.bios.date: 12/17/2015
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: F.30
  dmi.board.asset.tag: Base Board Asset Tag
  dmi.board.name: 802D
  dmi.board.vendor: Hewlett-Packard
  dmi.board.version: 58.51
  dmi.chassis.type: 10
  dmi.chassis.vendor: Hewlett-Packard
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrF.30:bd12/17/2015:svnHewlett-Packard:pnHPSpectreProx360G1:pvr:rvnHewlett-Packard:rn802D:rvr58.51:cvnHewlett-Packard:ct10:cvrChassisVersion:
  dmi.product.family: 103C_5336AN G=N L=CON B=HP S=SPT
  dmi.product.name: HP Spectre Pro x360 G1
  dmi.product.sku: P7Q68PA#ABG
  dmi.sys.vendor: Hewlett-Packard
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.102+git2006181830.f44908~oibaf~f
  

[Touch-packages] [Bug 1865226] Re: gdm3 fails to install /etc/pam.d/gdm-smartcard

2020-06-23 Thread Dimitri John Ledkov
** Also affects: pam (Ubuntu)
   Importance: Undecided
   Status: New

** Tags added: rls-gg-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1865226

Title:
  gdm3 fails to install /etc/pam.d/gdm-smartcard

Status in gdm:
  New
Status in gdm3 package in Ubuntu:
  Confirmed
Status in pam package in Ubuntu:
  New

Bug description:
  the pam profile for gdm-smartcard is missing. gdm refuses to login
  with a smartcard. Looking at ubuntu/+source/gdm3, other pam files are
  pregenerated into debian/ and installed from there; gdm-smartcard is
  left out.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: gdm3 3.28.3-0ubuntu18.04.4
  ProcVersionSignature: Ubuntu 5.3.0-24.26~18.04.2-generic 5.3.10
  Uname: Linux 5.3.0-24-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair nvidia_modeset 
nvidia
  ApportVersion: 2.20.9-0ubuntu7.11
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Feb 28 14:30:30 2020
  InstallationDate: Installed on 2016-05-23 (1376 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  SourcePackage: gdm3
  UpgradeStatus: No upgrade log present (probably fresh install)
  mtime.conffile..etc.gdm3.Xsession: 2018-04-27T11:41:04.766901

To manage notifications about this bug go to:
https://bugs.launchpad.net/gdm/+bug/1865226/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1807138] Re: [ALC256 - Razer Blade 15 2018] Headphones not automatically detected

2020-06-23 Thread Alibek Manabayev
I'm having same issue with same machine. Is there any news?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1807138

Title:
  [ALC256 - Razer Blade 15 2018] Headphones not automatically detected

Status in alsa-driver package in Ubuntu:
  Confirmed

Bug description:
  Running the command alsamixer allows me to manually increase the sound levels 
for the headset, and sound plays properly through them. This requires me to 
disable the auto-mute feature.
  I haven't rebooted my system yet to see if this is permanent.
  But the UI doesn't show the heaphones at all and only sends sound through the 
main speakers of the laptop.

  ➜  ~ lspci -nnk | grep -i -A7 audio
  00:1f.3 Audio device [0403]: Intel Corporation Device [8086:a348] (rev 10)
Subsystem: Razer USA Ltd. Device [1a58:2001]
Kernel driver in use: snd_hda_intel
Kernel modules: snd_hda_intel
  00:1f.4 SMBus [0c05]: Intel Corporation Device [8086:a323] (rev 10)
Subsystem: Razer USA Ltd. Device [1a58:2001]
Kernel driver in use: i801_smbus
Kernel modules: i2c_i801

  ➜  ~ cat /proc/asound/card0/codec* | grep Codec 
  Codec: Realtek ALC256
  Codec: Intel Kabylake HDMI

  Using for example pavucontrol allows me to select the headphone, which are 
marked as unplugged, and I can play audio through them as long as I keep the 
application open.
  If I reboot or close pavucontrol, everything is back to the original state 
and only the speakers work.

  Additional Information:

  ➜  ~ lsb_release -rd 
  Description:  Ubuntu 18.04.1 LTS
  Release:  18.04

  What I expect to happen:

  When I plug in my headphones, Ubuntu and the UI should see them and
  automatically redirect all sound through them.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 4.15.0-42.45-generic 4.15.18
  Uname: Linux 4.15.0-42-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/pcmC0D0p:   olivar 8320 F...m pulseaudio
   /dev/snd/controlC0:  olivar 8320 F pulseaudio
  CurrentDesktop: X-Cinnamon
  Date: Thu Dec  6 13:02:14 2018
  InstallationDate: Installed on 2018-11-21 (15 days ago)
  InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 
(20180725)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_AlsaPlaybackTest: ALSA playback test through plughw:PCH successful
  Symptom_Card: Built-in Audio - HDA Intel PCH
  Symptom_PulsePlaybackTest: PulseAudio playback test successful
  Symptom_Type: Only some of outputs are working
  Title: [HDA-Intel - HDA Intel PCH, playback] Playback problem
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 08/31/2018
  dmi.bios.vendor: Razer
  dmi.bios.version: 01.01
  dmi.board.name: DANA_MB
  dmi.board.vendor: Razer
  dmi.chassis.type: 10
  dmi.chassis.vendor: Razer
  dmi.modalias: 
dmi:bvnRazer:bvr01.01:bd08/31/2018:svnRazer:pnBlade:pvr1.04:rvnRazer:rnDANA_MB:rvr:cvnRazer:ct10:cvr:
  dmi.product.family: 1A582001 Razer Blade
  dmi.product.name: Blade
  dmi.product.version: 1.04
  dmi.sys.vendor: Razer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1807138/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1697375] Re: whoopsie's network-manager state querying is broken

2020-06-23 Thread Daniel T.
I think this bug still affects the current distribution. I see the same
error messages on my Kubuntu 20.04 LTS.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to whoopsie in Ubuntu.
https://bugs.launchpad.net/bugs/1697375

Title:
  whoopsie's network-manager state querying is broken

Status in whoopsie package in Ubuntu:
  Fix Released
Status in whoopsie source package in Xenial:
  Fix Released
Status in whoopsie source package in Zesty:
  Fix Released
Status in whoopsie source package in Artful:
  Fix Released

Bug description:
  [Impact]
  whoopsie's querying of network-manager's state is broken and this results in 
whoopsie only being able to detect if the system is on-line when network 
manager's state changes. Subsequently, if one manually restarts whoopsie then 
whoopsie will stay off-line until an n-m state change. This can result in 
crashes not being uploaded.  Additionally, whoopsie's systemd service file does 
not start after networking which is incorrect since it initially needs to query 
network-manager's state. (However, this ended up allowing crash reports to 
still be submitted because whoopsie would start first then the n-m's state 
would change and whoopsie would detect that.)

  [Test Case] (state detection failure)
  1) Manually restart the whoopsie service
  2) Observe the following two messages:
  "Jul 14 14:48:09 speedy whoopsie[14137]: [14:48:09] Could not get the Network 
Manager state:
  Jul 14 14:48:09 speedy whoopsie[14137]: [14:48:09] 
GDBus.Error:org.freedesktop.DBus.Error.InvalidArgs: No such property 'state'"

  with the version of network-manager from -proposed you will not see
  these messages when restarting whoopsie.

  [Test Case] (starting after network-manager0
  1) Boot your system
  2) Observe the following in syslog:
  "Jul 17 06:46:47 speedy whoopsie[1156]: [06:46:47] Could not get the Network 
Manager state:
  Jul 17 06:46:47 speedy whoopsie[1156]: [06:46:47] 
GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name 
org.freedesktop.NetworkManager was not provided by any .service files
  "

  with the version of network-manager in -proposed you will not see the
  "NetworkManager was not provided" messages.

  [Regression Potential]
  Its possible that systems that were not submitting crash reports suddenly 
will and that will use some network bandwidth and Error Tracker resources.

  - Original Description -
  
  On artful crash reports are not uploaded automatically (several .crash files 
in /var/crash and no corresponding upload or .uploaded files)

  ProblemType: BugDistroRelease: Ubuntu 17.10
  Package: whoopsie 0.2.56
  ProcVersionSignature: Ubuntu 4.10.0-22.24-generic 4.10.15
  Uname: Linux 4.10.0-22-generic x86_64
  ApportVersion: 2.20.5-0ubuntu4
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Mon Jun 12 09:39:29 2017
  InstallationDate: Installed on 2013-09-03 (1377 days ago)
  InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130902)
  ProcEnviron:
   TERM=screen-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=fr_FR.UTF-8
   SHELL=/bin/bash
  RelatedPackageVersions: apport-noui N/ASourcePackage: whoopsie
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/whoopsie/+bug/1697375/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1882034] Re: cannot start X session with NIS account

2020-06-23 Thread Fabien
** Changed in: systemd (Ubuntu)
   Status: Incomplete => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1882034

Title:
  cannot start X session with NIS account

Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  When login with a NIS account, X does not start, or more precisely it
  starts and exits immediately.

  Only errors in logs is:
   (EE) systemd-logind: failed to get session: PID 4335 does not belong to any 
known session

  X11/gdm login works fine with local accounts.

  SSH/terminal console login with NIS accounts works fine.

  /etc/X11/Xwrapper.config:
allowed_users=anybody

  I've seen several reports of such problems under other versions (eg
  19.10), but no working solutions was found. It seems that the problem
  is the same with lightdm.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: gdm3 3.34.1-1ubuntu1
  ProcVersionSignature: Ubuntu 5.4.0-29.33-generic 5.4.30
  Uname: Linux 5.4.0-29-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.2
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Jun  4 08:59:25 2020
  InstallationDate: Installed on 2019-11-26 (190 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
  SourcePackage: gdm3
  UpgradeStatus: Upgraded to focal on 2020-04-24 (40 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1882034/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp